/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */

export interface paths {
  "/pub/version": {
    get: {
      responses: {
        /** Successful operation */
        200: {
          content: {
            "application/json": components["schemas"]["VersionInfo"];
          };
        };
      };
    };
  };
  "/pub/status": {
    get: {
      responses: {
        /** Successful operation */
        200: {
          content: {
            "application/json": {
              /** @description Memory status */
              memory?: {
                /** @description Amount of available RAM in KB */
                total_memory?: number;
                /** @description Amount of available RAM in KB for (re)use */
                available_memory?: number;
                /** @description Amount of used RAM in KB */
                used_memory?: number;
                /** @description SWAP size in KB */
                total_swap?: number;
                /** @description Free SWAP in KB */
                used_swap?: number;
              };
              /** @description System load average */
              load_avg?: {
                /** @description Average load within one minute */
                one?: number;
                /** @description Average load within five minutes */
                five?: number;
                /** @description Average load within fifteen minutes */
                fifteen?: number;
              };
              /** @description Filesystem status */
              filesystem?: {
                user_data?: {
                  /** @description Amount of available disk space in KB */
                  available?: number;
                  /** @description Amount of used disk space in KB */
                  used?: number;
                };
              };
            };
          };
        };
      };
    };
  };
  "/pub/health_check": {
    get: {
      responses: {
        /** Successful operation */
        200: {
          content: {
            "application/json": {
              /** @enum {string} */
              db?: "Healthy" | "Degraded" | "Unhealthy";
              ui?: paths["/pub/health_check"]["get"]["responses"]["200"]["content"]["application/json"]["schema"]["db"];
              storage?: paths["/pub/health_check"]["get"]["responses"]["200"]["content"]["application/json"]["schema"]["db"];
            };
          };
        };
        500: components["responses"]["Err500InternalServerError"];
      };
    };
  };
  "/auth/scopes": {
    /** Access scopes are used to create tokens for the WebSocket API. */
    get: operations["getAccessScopes"];
  };
  "/auth/external": {
    /**
     * External systems are handled with the R2 integrations. Before an access token for such a system can be provided,
     * the corresponding system needs to be registered.
     *
     * _TODO: reference to WebSocket API for integration registration._
     *
     * If the expected system name is not returned by this call, any operations on that system name will fail:
     * `/auth/external/{system}`.
     * Therefore, it's advisable to either call this method first or react on the 404 error while providing or updating an
     * external system token, to inform the client user, that the integration is not available on the remote.
     */
    get: operations["getExternalSystems"];
    /** Management operation to delete all external access tokens. Attention: this cannot be reverted! */
    delete: operations["deleteAllExternalAccessTokens"];
  };
  "/auth/external/{system}": {
    get: operations["getExternalAccessTokens"];
    /**
     * An access token is usually required to connect to external systems like Home Assistant.
     * This method allows the external system to automatically provide the access token for the corresponding R2
     * integration instead of forcing the user to type it in. If the token name already exists for the given system,
     * error `422` is returned.
     * Use the put method to update an existing token.
     *
     * The format of the access token depends on the external system and the involved R2 integration.
     * It could be a UUID, a JWT or any other representation required for the integration to communicate with the
     * external system.
     *
     * The `system` parameter is determined by the registered R2 integration. Only registered system name identifiers are
     * valid, otherwise error `404` will be returned.
     * E.g. a "FooBar" integration might register the system identifier name "foobar".
     * Use the `GET /auth/external` method the retrieve the registered systems.
     */
    post: operations["addExternalAccessToken"];
    delete: operations["deleteExternalAccessTokensBySystem"];
    head: operations["getExternalAccessTokenCount"];
  };
  "/auth/external/{system}/{tokenId}": {
    get: operations["getExternalAccessToken"];
    /**
     * This methods allows an already provided token of an external system to be updated. The token is identified by
     * the system name and the token identification.
     */
    put: operations["replaceExternalAccessToken"];
    /** No error is returned if the `tokenId` doesn't exist. `404` is only returned it the `system` is not found. */
    delete: operations["deleteExternalAccessToken"];
  };
  "/auth/ws": {
    get: operations["getAccessTokens"];
    /**
     * The returned token is usually not yet enabled for use and must first be approved by the user on the remote.
     *
     * The required scopes must be provided. They let you specify what exactly a client needs to access.
     * When the access token request is displayed to the remote user for approval, the requested scopes will be
     * displayed to them.
     *
     * An error is returned if a token already exists for the provided `token_id`. To issue a new token for the same
     * identifier, the old token needs to be revoked first.
     */
    post: operations["createAccessToken"];
    delete: operations["deleteAllAccessTokens"];
    head: operations["getAccessTokenCount"];
  };
  "/auth/ws/{tokenId}": {
    get: operations["getAccessToken"];
    /** No error is returned if the `tokenId` doesn't exist. */
    delete: operations["deleteAccessToken"];
    /**
     * Activate token, rename friendly name or set validity periods of an existing token.
     *
     * Note: access scopes cannot be changed. This requires to revoke the token and request a new one.
     */
    patch: operations["updateAccessToken"];
  };
  "/resources": {
    get: operations["getResourceTypes"];
    delete: operations["deleteAllResources"];
  };
  "/resources/{type}": {
    get: operations["getResourceTypeItems"];
    post: operations["uploadFile"];
    delete: operations["deleteResources"];
    head: operations["getResourceTypeItemsCount"];
  };
  "/resources/{type}/{id}": {
    get: operations["getResource"];
    delete: operations["deleteResource"];
  };
  "/intg": {
    /** Retrieve an overview of the integration instances and their current connection state. */
    get: operations["getIntegrationStatus"];
    /**
     * Exectue a command on all active integration instances:
     *
     * - `connect`: requests all enabled integrations to establish a session to the integration driver and start processing
     *   events.
     *   Use `GET /intg` or `GET /intg/instances/{intgId}` to check on the connection status.
     * - `disconnect`: disconnects all active integration driver sessions.
     */
    put: operations["executeCommandOnAllIntegrations"];
  };
  "/intg/drivers": {
    /** Returns an overview of all registered drivers. To retrieve all driver data use `/intg/drivers/{driverId}`. */
    get: operations["getIntegrationDrivers"];
    /**
     * A driver provides the connection parameters and optional setup configuration for an integration driver.
     *
     * Depending on the driver capabilities it either provides a single access point to the provided entities, or exposes
     * multiple devices, each with its own unique set of entities. The former could for example be used to provide GPIO
     * access of a Raspberry Pi or gather all supported devices it is able to interact with (e.g. network sensors, light
     * switches etc.). The more cabable multi-device mode is suited to bridge home automation hubs where multiple
     * instances should be supported.
     *
     * Once a driver is registered, one or more integration instances must be configured to interact with the driver.
     * For simple integration drivers there's a 1:1 relationship between an instance and driver. For multi-device drivers,
     * each device corresponds to an integration instance.
     *
     * It is recommended to manually set a unique and human-readable driver identifier in `driver_id`. Otherwise a UUID
     * will be assigned. The `driver_id` is required for all further interactions with the driver, like creating a runtime
     * instance to connect to the driver and fetch available entities.
     */
    post: operations["registerIntegrationDriver"];
    head: operations["getIntegrationDriversCount"];
  };
  "/intg/drivers/{driverId}": {
    /** Returns the full data of an integration driver, except the authentication token for external clients. */
    get: operations["getIntegrationDriver"];
    /**
     * Manually start an integration driver to be ready for the integration instances, or stop a driver to disable all
     * integration instances processing.
     *
     * If a driver is enabled it will start automatically. Manually starting and stopping a driver is for testing purposes
     * and setting up new drivers in the web-configurator.
     */
    put: operations["integrationDriverCommand"];
    /**
     * Create an integration driver instance and associate it with the driver.
     * For simple integration drivers there's a 1:1 relationship only between an instance and driver.
     * For multi-device drivers, each device corresponds to an integration instance.
     *
     * - the `integration_id` is automatically created by the system to make it unique over all integrations.
     * - for multi-device drivers the `device_id` must be specified and may not already exist in another instance of the
     *   same driver.
     * - the driver's name is used by default if `name` isn't specified.
     * - the instance is active by default if `enabled` isn't specified.
     */
    post: operations["createIntegration"];
    /**
     * Unloads and deletes an integration driver with all instances and provided entities.
     *
     * **Attention: all references to the integration driver will be removed! This includes all driver instances,
     * provided entities and their references in profile pages and groups.**
     */
    delete: operations["deleteIntegrationDriver"];
    /**
     * Update one or several properties of an integration driver.
     * See request description on how to update or delete an existing property.
     */
    patch: operations["updateIntegrationDriver"];
  };
  "/intg/instances": {
    get: operations["getIntegrations"];
    head: operations["getIntegrationsCount"];
  };
  "/intg/instances/{intgId}": {
    get: operations["getIntegration"];
    /**
     * Exectue a command on the integration instance:
     *
     * - `connect`: establish a session to the integration driver and start processing events.
     *   Use `GET /intg` or `GET /intg/instances/{intgId}` to check on the connection status.
     * - `disconnect`: disconnect from the driver and stop processing events.
     */
    put: operations["executeIntegrationCommand"];
    /**
     * Unloads and deletes an integration instance.
     *
     * **Attention: all references to the integration instance will be removed! This includes configured entities and
     * their references in profile pages and groups.**
     */
    delete: operations["deleteIntegration"];
    /**
     * Modify one or several properties of an integration instance.
     * See update model description on how to update or delete an existing property.
     *
     * The integration driver of an instance cannot be changed and will be ignored if provided in the request.
     */
    patch: operations["updateIntegration"];
  };
  "/intg/instances/{intgId}/entities": {
    /**
     * Retrieve the available entities provided by the integration instance.
     *
     * By default only the entities are returned which are not yet configured. Use the `filter` query to include all or
     * only the already configured entities.
     */
    get: operations["getAvailableEntitiesFromInstance"];
  };
  "/intg/instances/{intgId}/entities/{entityId}": {
    /**
     * Configure a new Remote Two entity from an available integration entity. Once configured, the entity will no longer
     * show up as available entity (unless the `all` filter is set).
     *
     * The entity `name`, `icon` and `description` fields may be changed. If not specified in the request the values from
     * the available entity are used.
     */
    post: operations["configureEntityFromIntegration"];
  };
  "/entities": {
    /**
     * Returns all configured and loaded entities.
     * Entities can be filtered by type and integration.
     */
    get: operations["getEntities"];
    head: operations["getEntityCount"];
  };
  "/entities/{entityId}": {
    get: operations["getEntity"];
    /**
     * Unloads and deletes a configured entity. If the entity is still provided from an integration it can be reused and
     * will show up again in the available entity group.
     *
     * All references to the configured entity will be removed from profile pages and groups.
     */
    delete: operations["deleteEntity"];
    patch: operations["updateEntity"];
  };
  "/entities/{entityId}/command": {
    put: operations["executeEntityCommand"];
  };
  "/profiles/": {
    get: operations["getProfiles"];
    /**
     * The `profile_id` property is optional and auto-generated if not specified. Otherwise it needs to be a unique profile
     * identifier.
     * If a `pin` is specified the profile will be protected. A protected profile can only be accessed with the profile specific pin code.
     */
    post: operations["createProfile"];
    delete: operations["deleteAllProfiles"];
  };
  "/profiles/{profileId}": {
    get: operations["getProfile"];
    delete: operations["deleteProfile"];
    /**
     * Update one or multiple properties of a profile. A missing property will not update its current value.
     * - `profile_id` is mandatory and can't be changed.
     * - an empty `icon` value removes an existing icon identifier.
     * - an empty `pin` value removes an existing pin code.
     * - a missing `pages` property will not change the page order.
     * - ⚠️ an empty `pages` array removes all pages and groups in the profile!
     * - ⚠️ missing page identifiers in the `pages` array will remove the page configuration!
     */
    patch: operations["updateProfile"];
  };
  "/profiles/{profileId}/pages": {
    get: operations["getPagesInProfile"];
    post: operations["createPage"];
    delete: operations["deleteAllPagesInProfile"];
  };
  "/profiles/{profileId}/pages/{pageId}": {
    get: operations["getPage"];
    delete: operations["deletePage"];
    patch: operations["updatePage"];
  };
  "/profiles/{profileId}/groups": {
    get: operations["getGroupsInProfile"];
    post: operations["createGroup"];
    delete: operations["deleteAllGroupsInProfile"];
  };
  "/profiles/{profileId}/groups/{groupId}": {
    get: operations["getGroup"];
    delete: operations["deleteGroup"];
    patch: operations["updateGroup"];
  };
  "/cfg": {
    /**
     * Retrieve all system configuration settings at once. Updating a configuration setting must be performed with the
     * corresponding endpoint.
     */
    get: operations["getAllSettings"];
    /** This resets all system configuration settings to factory defaults. Integration & profile settings are not affected. */
    delete: operations["resetAllSettings"];
  };
  "/cfg/button": {
    /** Button backlight configuration. */
    get: operations["getButtonSettings"];
    /** Change one or multiple button backlight settings. */
    patch: operations["updateButtonSettings"];
  };
  "/cfg/display": {
    /** Display brightness and auto brightness configuration. */
    get: operations["getDisplaySettings"];
    /** Change one or multiple display settings. */
    patch: operations["updateDisplaySettings"];
  };
  "/cfg/haptic": {
    /** Haptic configuration. */
    get: operations["getHapticSettings"];
    /** Change one or multiple haptic settings. */
    patch: operations["updateHapticSettings"];
  };
  "/cfg/localization": {
    /** Retrieve the language and region configuration. */
    get: operations["getLocalizationSettings"];
    /** Change one or multiple localization settings. */
    patch: operations["updateLocalizationSettings"];
  };
  "/cfg/localization/tz_names": {
    get: operations["getTimezoneNames"];
  };
  "/cfg/network": {
    /** Language and region configuration. */
    get: operations["getNetworkSettings"];
    /** Change one or multiple network settings. */
    patch: operations["updateNetworkSettings"];
  };
  "/cfg/power_saving": {
    /** Sleep timeout and wakeup sensitivity configuration. */
    get: operations["getPowerSettings"];
    /** Change one or multiple power saving settings. */
    patch: operations["updatePowerSettings"];
  };
  "/cfg/software_udpate": {
    /** Software update configuration. */
    get: operations["getSoftwareUpdateSettings"];
    /** Change one or multiple software update settings. */
    patch: operations["updateSoftwareUpdateSettings"];
  };
  "/cfg/sound": {
    /** Sound configuration. */
    get: operations["getSoundSettings"];
    /** Change one or multiple sound settings. */
    patch: operations["updateSoundSettings"];
  };
  "/cfg/voice_control": {
    /** Voice control configuration. */
    get: operations["getVoiceControlSettings"];
    /** Change one or multiple voice control settings. */
    patch: operations["updateVoiceControlSettings"];
  };
  "/cfg/voice_control/voice_assistants": {
    get: operations["getVoiceAssistants"];
  };
  "/docks": {
    /** Returns all dock configuration enriched with current connection information. */
    get: operations["getDocks"];
    /**
     * Create and persist a new dock configuration. To establish a session to the dock, a connect operation must be called
     * afterwards.
     * - Error `422` is returned if the given `service_name` already exists.
     * - If `custom_ws_url` is not specified, the dock address is resolved with a mDNS lookup based on `service_name`.
     * - The `active` flag specifies if the dock will participate to connection requests.
     * - Non-active docks will not auto-connect and must be enabled first to be used.
     */
    post: operations["createDock"];
    /**
     * This clears all dock configuration: active dock sessions are disconnected and the persisted dock configuration will
     * be removed. If `/docks/connect` is called afterwards, there are no more dock connections to be established.
     */
    delete: operations["deleteAllDocks"];
  };
  "/docks/connect": {
    /**
     * Requests all active docks to establish a session to the dock.
     * Use `GET /docks` or `GET /docks/{dockId}` to check on the connection status.
     */
    post: operations["connectAllDocks"];
  };
  "/docks/disconnect": {
    /** Disconnects all active dock sessions. */
    post: operations["disconnectAllDocks"];
  };
  "/docks/{dockId}": {
    get: operations["getDock"];
    delete: operations["deleteDock"];
    /** Update one or more dock fields */
    patch: operations["updateDock"];
  };
  "/docks/{dockId}/command": {
    post: operations["dockCommand"];
  };
  "/docks/{dockId}/connect": {
    /**
     * Establish a session to the dock.
     * Use `GET /docks` or `GET /docks/{dockId}` to check on the connection status.
     */
    post: operations["connectDock"];
  };
  "/docks/{dockId}/disconnect": {
    /** Disconnects the dock session. */
    post: operations["disconnectDock"];
  };
  "/docks/{dockId}/ir/send": {
    /**
     * Test function for sending IR commands. The IR code can either be in Pronto format or Hex.
     * If no output is specified, the code will only be emitted from the dock.
     */
    get: operations["sendIrTest"];
    /**
     * Send an IR command, either in Pronto or [IRremoteESP8266 Hex](https://github.com/crankyoldgit/IRremoteESP8266) format.
     *
     * Hex format: `<protocol>,<hex-ir-code>,<bits>,<repeat-count>`
     * - protocol: numeric value from supported and enabled protocols. See: [decode_type_t](https://github.com/crankyoldgit/IRremoteESP8266/blob/v2.8.0/src/IRremoteESP8266.h#L866)
     * - hex-ir-code: HEX value prefixed with `0x`
     * - bits: number of bits in hex value
     */
    post: operations["sendIr"];
  };
  "/docks/{dockId}/ir/learn": {
    /** The current status and if the dock is in IR learning mode, any learned codes will be returned. */
    get: operations["irLearningStatus"];
    /** Puts the dock into IR learning mode. Use the GET status request to check on learned codes or DELETE to stop learning. */
    post: operations["startIrLearning"];
    /**
     * The current status and any learned codes will be returned. After this call any learned codes are no longer accessible
     * through the GET status call.
     */
    delete: operations["stopIrLearning"];
  };
  "/system": {
    /** Get hardware information about the device like serial number, model number and hardware revision. */
    get: operations["getSystemInfo"];
    /**
     * The following system commands can be executed:
     *
     * - `STANDBY`: Put the device into standby mode.
     * - `REBOOT`: Reboot the device.
     * - `POWER_OFF`: Switch off the device
     * - `RESTART`: Restart the application.
     */
    post: operations["systemCommand"];
  };
  "/system/factory_reset": {
    /**
     * Get a factory reset token to perform a complete factory reset of the remote.
     *
     * The token will be valid for 60 seconds. Afterwards, a new token must be requested.
     * Whenever a new token is requested, any old tokens will be invalidated.
     */
    get: operations["getFactoryResetToken"];
    /**
     * A factory reset removes all configuration data and puts the device into a clean state.
     *
     * ⚠️ **Warning:** All user data will be erased and won't be recoverable!
     *
     * A reset token must be requested first and provided to perform a factory reset.
     */
    post: operations["performFactoryReset"];
  };
  "/test/mdns/discover": {
    get: operations["discoverAllServices"];
  };
  "/test/mdns/discover/{query}": {
    get: operations["discoverService"];
  };
  "/test/mdns/publish": {
    post: operations["publishService"];
  };
  "/test/mdns/publish/{name}": {
    delete: operations["unpublishService"];
  };
}

export interface components {
  schemas: {
    /** @description Provided entity from an integration which can be configured to be used in the remote. */
    AvailableEntity: {
      entity_id: components["schemas"]["AvailableEntityId"];
      entity_type: components["schemas"]["EntityType"];
      integration_id: components["schemas"]["IntegrationId"];
      device_id?: components["schemas"]["DeviceId"];
      /**
       * @description Optional device type. This can be used by the UI to represent the entity with a different
       * icon, behaviour etc. See entity documentation for available device classes.
       */
      device_class?: string;
      name: components["schemas"]["LanguageText"];
      /** @description Supported features of the entity. See entity documentation for available features. */
      features: string[];
      /** @description Feature options. See entity documentation for available options. */
      options?: { [key: string]: unknown };
      /** @description Optional area if supported by the integration. E.g. `Living room`. */
      area?: string;
    };
    /**
     * Format: ^[a-zA-Z0-9-_\.]+$
     * @description Entity identifier used in an integration driver (= available entities).
     */
    AvailableEntityId: string;
    /** Format: ^[a-zA-Z]+$ */
    ResourceType: string;
    ResourceItems: components["schemas"]["ResourceItem"][];
    ResourceItem: {
      type?: components["schemas"]["ResourceType"];
      /** @description Resource identifier (normalized filename) */
      id?: string;
      /**
       * Format: int32
       * @description Size in bytes
       */
      size?: number;
    };
    ExternalSystems: components["schemas"]["ExternalSystem"][];
    ExternalSystem: {
      system?: components["schemas"]["ExternalSystemId"];
      name?: components["schemas"]["ExternalSystemName"];
    };
    /**
     * Format: ^[a-zA-Z0-9-_]+$
     * @description Unique external system identifier registered by an R2 integration to interact with the API.
     */
    ExternalSystemId: string;
    /**
     * @description Friendly name of the external system to display to the user within the app. This name must be unique for an external
     * system and should be as short and concise as possible.
     * Use the description field for more information.
     */
    ExternalSystemName: string;
    ExternalAccessTokens: {
      system?: components["schemas"]["ExternalSystemName"];
      token_id?: string;
      name?: string;
      /** @description Optional description of the external access token. */
      description?: string;
      /** @description Optional URL of the external system. */
      url?: string;
      /** @description Optional data from the external system for the R2 integration. */
      data?: string;
      /** Format: date-time */
      creation_date?: string;
    }[];
    ExternalAccessToken: {
      system?: components["schemas"]["ExternalSystemName"];
      token_id?: string;
      name?: string;
      /**
       * @description The token to access the external system with the corresponding R2 integration.
       * This could be a UUID, a JWT or any other representation required for the integration to authenticate on the
       * system.
       */
      token?: string;
      /** @description Optional description of the external access token. */
      description?: string;
      /** @description Optional URL of the external system. */
      url?: string;
      /** @description Optional data from the external system for the R2 integration. */
      data?: string;
      /** Format: date-time */
      creation_date?: string;
    };
    /**
     * @example {
     *   "token_id": "1-2-3",
     *   "name": "My smart home",
     *   "token": "secret-sauce-42!",
     *   "description": "Any other informative message about the external system",
     *   "url": "ws://smart.home",
     *   "data": "optional: true, foo: bar, free: text"
     * }
     */
    ExternalAccessTokenRequest: {
      /**
       * Format: ^[a-zA-Z0-9\-_]+$
       * @description Unique token identifier, used for later token management through the external system or management ui.
       * This identifier can be provided by the external system. If omitted, an UUID is generated and returned in the
       * ExternalAccessToken response.
       */
      token_id?: string;
      name: components["schemas"]["ExternalSystemName"];
      /**
       * @description The token to access the external system with the corresponding R2 integration.
       * This could be a UUID, a JWT or any other representation required for the integration to authenticate on the
       * system.
       */
      token: string;
      /** @description Optional description of the external access token. */
      description?: string;
      /** @description Optional URL of the external system. */
      url?: string;
      /** @description Optional data from the external system for the R2 integration. */
      data?: string;
    };
    AccessTokenRequest: {
      /**
       * Format: ^[a-zA-Z0-9\-_]+$
       * @description Unique client identifier, used for later token management through the client and returned in the AccessToken
       * response. Using a UUID is recommended.
       */
      token_id: string;
      name: components["schemas"]["AccessTokenName"];
      /** @description Requested access scopes for the token. */
      scopes: string[];
    };
    AccessTokens: components["schemas"]["AccessToken"][];
    AccessToken: {
      token_id?: components["schemas"]["AccessTokenId"];
      name?: components["schemas"]["AccessTokenName"];
      /** @description Access token for WebSocket */
      token?: string;
      /** @description Only activated tokens are valid for WebSocket access */
      active?: boolean;
      /**
       * Format: date-time
       * @description Optional validity start timestamp. If not set, the token is valid as soon as the `active` flag is set (this is usually done by the remote device user within the UI).
       */
      valid_from?: string;
      /**
       * Format: date-time
       * @description Optional validity end timestamp. If not set, the token is valid until revoked.
       */
      valid_to?: string;
      /** Format: date-time */
      creation_date?: string;
      /** Format: date-time */
      last_login?: string;
      scopes?: components["schemas"]["ScopeName"][];
    };
    AccessTokenUpdate: {
      name?: components["schemas"]["AccessTokenName"];
      /** @description Only activated tokens are valid for WebSocket access */
      active?: boolean;
      /**
       * Format: date-time
       * @description Optional validity start timestamp. If not set, the token is valid as soon as the `active` flag is set (this is usually done by the remote device user within the UI).
       */
      valid_from?: string;
      /**
       * Format: date-time
       * @description Optional validity end timestamp. If not set, the token is valid until revoked.
       */
      valid_to?: string;
    };
    /**
     * Format: ^[a-zA-Z0-9-_]+$
     * @description Unique token identifier. Usually a UUID.
     */
    AccessTokenId: string;
    /** @description Friendly token name to show in the app */
    AccessTokenName: string;
    /** @description Optional description */
    Description: string;
    /**
     * Format: ^[a-zA-Z0-9-_]+$
     * @description Device identifier for multi-device integrations only.
     */
    DeviceId: string;
    /**
     * Format: ^[a-zA-Z0-9-_]+$
     * @description Unique integration driver identifier, e.g. `homeassistant`, `homey`, etc.
     */
    DriverId: string;
    FriendlyName: string;
    /**
     * Format: ^[a-zA-Z0-9-_\.:]+$
     * @description Optional icon identifier. If specified the icon will be set. An empty identifier, while updating the object,
     * removes the existing icon.
     */
    IconIdentifier: string;
    /**
     * Format: ^[a-zA-Z0-9-_\.:]+$
     * @description Optional image identifier. If specified the image will be set. An empty identifier, while updating the object,
     * removes the existing image.
     */
    ImageIdentifier: string;
    /**
     * @description Key value pairs of language texts. Key: ISO 639-1 code with optional country suffix to represent a `culture code`.
     * Examples: `en`, `en_UK`, `en_US`, `de`, `de_CH`.
     *
     * If we need to support more regional differences within a country, then the
     * [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) might be a solution. This would even
     * support the various Swiss German dialects!
     */
    LanguageText: { [key: string]: string };
    Name: string;
    Scopes: components["schemas"]["Scope"][];
    Scope: {
      name: components["schemas"]["ScopeName"];
      /** @description Permission scope description */
      description?: string;
    };
    /**
     * Format: ^[a-zA-Z\-:]+$
     * @description Permission scope name
     */
    ScopeName: string;
    ApiResponse: {
      /** @description Status code */
      code?: string;
      /** @description Status message describing the result or error. This message is intended for error analysis and should not directly shown to the end user. */
      message?: string;
    };
    ServiceInstances: components["schemas"]["ServiceInstance"][];
    ServiceInstance: {
      service_type: string;
      /** @description Instance name */
      name: string;
      hostname: string;
      port: number;
      addr_v4?: string[];
      addr_v6?: string[];
      txt?: { [key: string]: string };
    };
    /** @enum {string} */
    IntegrationState:
      | "NOT_CONFIGURED"
      | "UNKNOWN"
      | "IDLE"
      | "CONNECTING"
      | "CONNECTED"
      | "DISCONNECTED"
      | "RECONNECTING"
      | "ACTIVE"
      | "ERROR";
    /** @enum {string} */
    DeviceState:
      | "UNKNOWN"
      | "CONNECTING"
      | "CONNECTED"
      | "DISCONNECTED"
      | "ERROR";
    /** @enum {string} */
    DriverState: "NOT_CONFIGURED" | "IDLE" | "CONNECTING" | "ACTIVE" | "RECONNECTING" | "ERROR";
    /**
     * Format: ^[a-zA-Z0-9-_\.]+$
     * @description Dock identifier
     */
    DockId: string;
    DockConfiguration: {
      service_name?: components["schemas"]["DockId"];
      /** @description User assignable friendly name to use instead of service_name */
      name?: components["schemas"]["FriendlyName"];
      /** @description Dock WebSocket URL to override auto-discovery from service_name */
      custom_ws_url?: string;
      /** @description Resolved WebSocket URL from service_name if no custom_ws_url is used */
      resolved_ws_url?: string;
      /** @description Auto connect to dock when network is available */
      active?: boolean;
      state?: components["schemas"]["DockState"];
      /** @description Dock is in IR learning mode */
      learning?: boolean;
      description?: components["schemas"]["Description"];
    };
    DockConfigurations: components["schemas"]["DockConfiguration"][];
    DockConfigurationRequest: {
      service_name: components["schemas"]["DockId"];
      /** @description Optional friendly name to use instead of service_name */
      name?: components["schemas"]["FriendlyName"];
      /** @description Custom WebSocket URL to override service_name lookup */
      custom_ws_url?: string;
      /** @description Access token */
      token: string;
      /** @description Auto connect to dock when network is available */
      active: boolean;
      description?: components["schemas"]["Description"];
    };
    /**
     * @description Connection state
     * @enum {string}
     */
    DockState:
      | "Idle"
      | "Connecting"
      | "Active"
      | "Reconnecting"
      | "Error";
    /** @description Optional information about the integration developer. */
    DriverDeveloper: {
      /** @description Optional developer information to display in UI / web-configurator. */
      name?: string;
      /**
       * Format: uri
       * @description Optional developer home page.
       */
      url?: string;
      /**
       * Format: email
       * @description Optional developer contact email.
       */
      email?: string;
    };
    Entities: components["schemas"]["Entity"][];
    Entity: {
      entity_id: components["schemas"]["EntityId"];
      entity_type: components["schemas"]["EntityType"];
      integration_id: components["schemas"]["IntegrationId"];
      /**
       * @description Optional device type. This can be used by the UI to represent the entity with a different
       * icon, behaviour etc. See entity documentation for available device classes.
       */
      device_class?: string;
      name: components["schemas"]["LanguageText"];
      icon?: components["schemas"]["IconIdentifier"];
      /** @description Supported features of the entity. See entity documentation for available features. */
      features?: string[];
      /** @description Feature options. See entity documentation for available options. */
      options?: { [key: string]: unknown };
      description?: components["schemas"]["LanguageText"];
    };
    /**
     * Format: ^[a-zA-Z0-9-_\.]+$
     * @description Unique UC remote identifier over all entities and integrations.
     */
    EntityId: string;
    EntityCommand: {
      /** @description Entity specific command. */
      cmd_id: string;
      /** @description Optional command parameters as key / value pairs. See entity documentation for available parmeters. */
      params?: { [key: string]: unknown };
    };
    /**
     * @description Update model for an entity.
     *
     * - Specified properties will update the current values.
     * - An empty value will delete the currently set property.
     */
    EntityRequest: {
      name?: components["schemas"]["LanguageText"];
      icon?: components["schemas"]["IconIdentifier"];
      description?: components["schemas"]["LanguageText"];
    };
    /**
     * @description Entity type
     * @enum {string}
     */
    EntityType:
      | "button"
      | "climate"
      | "cover"
      | "light"
      | "media_player"
      | "sensor"
      | "switch";
    /**
     * @description Integration driver authentication method if a token is required.
     *
     * The JSON `auth` message is used if a token is configured but no authentication method is set.
     *
     * @enum {string}
     */
    IntgAuthMethod: "HEADER" | "MESSAGE";
    /**
     * @description Integration driver model.
     *
     * A driver represents the communication aspect of an integration. E.g. how one can connect to it
     * and which API version it supports.
     *
     * One driver can provide multiple `Integration` instances. In the integration API they are
     * referred to as `multi-device integrations` and use the optional `device_id` property where
     * required. If a driver only provides a single instance, which is usually the default use case,
     * then the `device_id` is not used (or set to the default value `main`).
     */
    IntegrationDriver: {
      driver_id: components["schemas"]["DriverId"];
      name: components["schemas"]["LanguageText"];
      /**
       * Format: uri
       * @description WebSocket URL of the driver.
       */
      driver_url: string;
      /**
       * @description Optional driver authentication token.
       *
       * Note: the token will not be returned to external clients!
       */
      token?: string;
      auth_method?: components["schemas"]["IntgAuthMethod"];
      /** @description Driver version, [SemVer](https://semver.org/) preferred. */
      version: string;
      /** @description Optional version check: minimum required core API version in the remote. */
      min_core_api?: string;
      icon?: components["schemas"]["IconIdentifier"];
      /**
       * @description Enables or disables driver communication.
       * If disabled, all integration instances won't be activated, even if the instance is enabled.
       */
      enabled?: boolean;
      /** @description Optional description of the integration. */
      description?: components["schemas"]["LanguageText"];
      developer?: components["schemas"]["DriverDeveloper"];
      /**
       * Format: uri
       * @description Optional home page url for more information.
       */
      home_page?: string;
      /** @description Driver supports multi-device discovery. **Not yet supported**. */
      device_discovery?: boolean;
      /**
       * @description Driver configuration metadata describing configuration parameters for the web-configurator.
       *
       * **Not yet finalized**.
       */
      setup_data_schema?: { [key: string]: unknown };
      /**
       * Format: date
       * @description Release date of the driver.
       */
      release_date?: string;
    };
    /** @description Summary data of an integration driver intended for overview screens. */
    IntegrationDriverInfo: {
      driver_id: components["schemas"]["DriverId"];
      name: components["schemas"]["LanguageText"];
      /**
       * Format: uri
       * @description WebSocket URL of the driver
       */
      driver_url: string;
      version: string;
      icon?: components["schemas"]["IconIdentifier"];
      enabled: boolean;
    };
    IntegrationDrivers: components["schemas"]["IntegrationDriverInfo"][];
    /**
     * @description Integration driver update model. This model corresponds to the `IntegrationDriver` model except there are no required
     * properties to allow patch updates.
     *
     * - Specified properties will update the current values.
     * - An empty value will delete the currently set property.
     * - For the create operation, the `driver_id` identifier can be specified by the client, but it needs to be unique among
     *   all drivers. If omitted, a UUID will be assigned.
     *   A manually assigned, short, human-readable identifier is recommended for better recognizability.
     */
    IntegrationDriverRequest: {
      driver_id?: components["schemas"]["DriverId"];
      name?: components["schemas"]["LanguageText"];
      /**
       * Format: uri
       * @description WebSocket URL of the driver
       */
      driver_url?: string;
      /** @description Optional driver authentication token. */
      token?: string;
      auth_method?: components["schemas"]["IntgAuthMethod"];
      version?: string;
      /** @description Optional version check: minimum required core API version in the remote. */
      min_core_api?: string;
      icon?: components["schemas"]["IconIdentifier"];
      /**
       * @description Enables or disables driver communication.
       * If disabled, all integration instances won't be activated, even if the instance is enabled.
       */
      enabled?: boolean;
      /** @description Optional description of the integration */
      description?: components["schemas"]["LanguageText"];
      developer?: components["schemas"]["DriverDeveloper"];
      /**
       * Format: uri
       * @description Optional home page url for more information
       */
      home_page?: string;
      /** @description Driver supports multi device discovery */
      device_discovery?: boolean;
      /**
       * @description Driver configuration metadata describing configuration parameters for the web-configurator.
       *
       * **Not yet finalized**.
       */
      setup_data_schema?: { [key: string]: unknown };
      /**
       * Format: date
       * @description Release date of the driver
       */
      release_date?: string;
    };
    /** @description Integration instance model. */
    Integration: {
      integration_id: components["schemas"]["IntegrationId"];
      driver_id: components["schemas"]["DriverId"];
      device_id?: components["schemas"]["DeviceId"];
      name: components["schemas"]["LanguageText"];
      icon?: components["schemas"]["IconIdentifier"];
      /** @description Enable / disable flag */
      enabled: boolean;
      /** @description Instance configuration object */
      setup_data?: { [key: string]: unknown };
    };
    /**
     * Format: ^[a-zA-Z0-9-_\.]+$
     * @description Unique integration instance identifier. Automatically created by the system when creating a new instance from a driver.
     */
    IntegrationId: string;
    Integrations: components["schemas"]["Integration"][];
    /**
     * @description Integration instance update model. This model corresponds to the `Integration` model except there are no required
     * properties to allow patch updates.
     *
     * - Specified properties will update the current values.
     * - An empty value will delete a set property.
     * - `device_id` is only required for multi-device integrations.
     */
    IntegrationRequest: {
      device_id?: components["schemas"]["DeviceId"];
      name?: components["schemas"]["LanguageText"];
      icon?: components["schemas"]["IconIdentifier"];
      /** @description Enable / disable flag. */
      enabled?: boolean;
      /** @description Instance configuration object. */
      setup_data?: { [key: string]: unknown };
    };
    /** @description Integration instance status information. Intended to be used in a general overview of the integration drivers. */
    IntegrationStatus: {
      integration_id?: components["schemas"]["IntegrationId"];
      name?: components["schemas"]["LanguageText"];
      icon?: components["schemas"]["IconIdentifier"];
      device_state?: components["schemas"]["DeviceState"];
      driver_state?: components["schemas"]["DriverState"];
      enabled?: boolean;
    };
    IrStatus: {
      dock_id?: components["schemas"]["DockId"];
      /** @description Dock is in IR learning mode */
      learning_active?: boolean;
      state?: components["schemas"]["DockState"];
      codes?: components["schemas"]["LearnedIrCode"][];
    };
    LearnedIrCode: {
      code?: string;
      /** @enum {string} */
      format?: "HEX" | "PRONTO";
      timestamp?: number;
    };
    Profile: {
      profile_id: components["schemas"]["SimpleId"];
      /** @description Profile name */
      name: components["schemas"]["Name"];
      icon?: components["schemas"]["IconIdentifier"];
      /** @description A protected profile can only be accessed with the profile specific pin code */
      protected: boolean;
      description?: components["schemas"]["Description"];
    };
    /** @description Optional profile pin */
    ProfilePin: string;
    ProfileRequest: {
      profile_id?: components["schemas"]["SimpleId"];
      /** @description Profile name */
      name: components["schemas"]["Name"];
      icon?: components["schemas"]["IconIdentifier"];
      pin?: components["schemas"]["ProfilePin"];
      description?: components["schemas"]["Description"];
    };
    ProfileUpdate: {
      /** @description Profile name */
      name?: components["schemas"]["Name"];
      icon?: components["schemas"]["IconIdentifier"];
      /**
       * @description true: Update or remove the pin if the `pin` property is set
       * false: Don't change existing pin
       */
      update_pin: boolean;
      /** @description Optional pin code for a protected profile. Only relevant if `update_pin: true`. */
      pin?: string;
      description?: components["schemas"]["Description"];
      /**
       * @description Used for update only: modify page order or delete pages in profile.
       * - An empty `pages` array will delete all pages and containing groups!
       * - If the property is missing, the existing page configuration will not be changed.
       */
      pages?: components["schemas"]["SimpleId"][];
    };
    Profiles: components["schemas"]["Profile"][];
    /** @description The shown group switch in the UI is automatically determined by the capabilities of the group's entities. */
    Group: {
      group_id: components["schemas"]["SimpleId"];
      profile_id: components["schemas"]["SimpleId"];
      /** @description Group name. Must be unique within the profile. */
      name: components["schemas"]["Name"];
      icon?: components["schemas"]["IconIdentifier"];
      /** @description Entity identifiers belonging to the group */
      entities: components["schemas"]["EntityId"][];
    };
    GroupUpdate: {
      /** @description Group name */
      name?: components["schemas"]["Name"];
      icon?: components["schemas"]["IconIdentifier"];
      /**
       * @description Changed or re-ordered group entities.
       * An empty array remove all entities.
       * If the property is not specified the defined entities will not be changed.
       */
      entities?: components["schemas"]["EntityId"][];
    };
    Groups: components["schemas"]["Group"][];
    Page: {
      page_id: components["schemas"]["SimpleId"];
      profile_id: components["schemas"]["SimpleId"];
      /** @description Group name. Must be unique within the profile. */
      name: components["schemas"]["Name"];
      /** @description Optional image identifier */
      image?: string;
      /** @description Page items */
      items: components["schemas"]["PageItem"][];
      /**
       * Format: int32
       * @description Position of the page within the profile
       */
      pos: number;
    };
    PageItem: (unknown | unknown) & {
      entity_id?: components["schemas"]["EntityId"];
      group_id?: components["schemas"]["SimpleId"];
      /**
       * Format: int32
       * @description Position of the item within the page. Returned on retrieval, ignored for page updates where the position is taken
       * from the page array position.
       */
      pos?: number;
    };
    PageUpdate: {
      /** @description Group name */
      name?: components["schemas"]["Name"];
      image?: components["schemas"]["ImageIdentifier"];
      /**
       * @description Changed or re-ordered page items.
       * An empty array removes all items.
       * If the property is not specified the defined items will not be changed.
       */
      items?: components["schemas"]["PageItem"][];
    };
    Pages: components["schemas"]["Page"][];
    /**
     * Format: ^[a-zA-Z0-9-_\.]+$
     * @description Simple string identifier, also usable as URL parameter or file identifier
     */
    SimpleId: string;
    CfgAll: {
      button?: components["schemas"]["CfgButtons"];
      display?: components["schemas"]["CfgDisplay"];
      haptic?: components["schemas"]["CfgHaptic"];
      localization?: components["schemas"]["CfgLocalization"];
      network?: components["schemas"]["CfgNetwork"];
      power_saving?: components["schemas"]["CfgPowerSaving"];
      software_update?: components["schemas"]["CfgSoftwareUpdate"];
      sound?: components["schemas"]["CfgSound"];
      voice_control?: components["schemas"]["CfgVoiceControl"];
    };
    CfgButtons: {
      /** @description Button backlight brightness. 0 = off, 100 = max. */
      brightness: number;
      /** @description When enabled, button backlight will automatically turn on in a dark room. */
      auto_brightness: boolean;
    };
    CfgDisplay: {
      /** @description Display brightness. */
      brightness: number;
      /** @description Automatically adjust the display brightness based on ambient lighting conditions. */
      auto_brightness: boolean;
    };
    CfgHaptic: {
      /** @description Haptic feedback enabled. */
      enabled: boolean;
    };
    CfgLocalization: {
      language_code: components["schemas"]["LanguageCode"];
      country_code: components["schemas"]["CountryCode"];
      /** @description Time zone name according to IANA <https://www.iana.org/time-zones>, e.g. `Europe/Copenhagen`. */
      time_zone: string;
      time_format_24h: boolean;
      measurement_unit: components["schemas"]["MeasurementUnit"];
    };
    CfgNetwork: {
      /** @description Enable Bluetooth. */
      bt_enabled: boolean;
      /** @description Enable WiFi. */
      wifi_enabled: boolean;
    };
    CfgPowerSaving: {
      /** @description Amount of movement needed to wake up the remote. 0 = disabled. */
      wakeup_sensitivity: number;
      /** @description Turn off display after given seconds. */
      display_off_sec: number;
      /** @description Activate standby after given seconds. 0 disables standby mode. */
      standby_sec: number;
    };
    CfgSoftwareUpdate: {
      /**
       * @description Automatically check for updates. If `auto_update` is enabled, the updates are automatically installed,
       * otherwise the user is only notified about the updates.
       */
      check_for_updates: boolean;
      /** @description Automatically update the remote when new software is available. Requires `check_for_updates` to be enabled. */
      auto_update: boolean;
    };
    CfgSound: {
      /** @description Sound effects enabled. */
      enabled: boolean;
      /** @description Sound effects volume. */
      volume: number;
    };
    CfgVoiceControl: {
      /**
       * @description Enable microphone. Disabling the microphone will completely turn it off. Voice control and dictation won't work
       * with the remote or integrations.
       */
      microphone: boolean;
      /**
       * @description Enable voice control. Disabling voice control will still let you use voice dictation with integrations.
       * Disable the microphone to completely switch off any microphone related functionality.
       */
      enabled: boolean;
      /**
       * @description TODO
       *
       * @default None
       */
      voice_assistant: string;
    };
    /**
     * Format: iso-3166
     * @description Two letter country code according to [ISO-3166-1-alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
     */
    CountryCode: string;
    /**
     * @description Language culture code: starting with the two-letter [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes)
     * code, followed by an optional [ISO-3166 country code](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes),
     * separated by an underscore.
     * Examples: `en`, `en_UK`, `en_US`, `de`, `de_DE`, `de_CH` etc.
     */
    LanguageCode: string;
    /** @enum {string} */
    MeasurementUnit: "METRIC" | "US" | "UK";
    SystemInfo: {
      model_name?: string;
      model_number?: string;
      serial_number?: string;
      hw_revision?: string;
    };
    VersionInfo: {
      api?: string;
      core?: string;
      app?: string;
      os?: string;
      integrations?: { [key: string]: string };
    };
  };
  responses: {
    /** Successful operation */
    SuccessMessage: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The server could not understand the request due to invalid syntax or missing data. */
    Err400BadRequest: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** Authentication credentials were missing or incorrect. The client must authenticate itself to get the requested response. */
    Err401Unauthorized: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The request is understood, but the client does not have access rights to the content. */
    Err403Forbidden: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The resource does not exist or the URI is invalid. */
    Err404NotFound: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** Request entity is too large and not supported. */
    Err413PayloadTooLarge: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The media format of the requested data is not supported. */
    Err415UnsupportedMediaType: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The request was well-formed but cannot be processed. Used for already existing data which cannot be re-created. */
    Err422UnprocessableEntity: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The client has sent too many requests in a given amount of time. */
    Err429TooManyRequests: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The server has encountered a situation it does not know how to handle. Retrying the same request will most likely result in the same error. */
    Err500InternalServerError: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
    /** The server is not ready to handle the request. Try again later. */
    Err503ServiceUnavailable: {
      content: {
        "application/json": components["schemas"]["ApiResponse"];
      };
    };
  };
  parameters: {
    /** @description Dock identification */
    dock_id: components["schemas"]["DockId"];
    /** @description Integration driver identification */
    driver_id: components["schemas"]["DriverId"];
    /** @description Entity identification. */
    entity_id: components["schemas"]["EntityId"];
    /** @description Group identification */
    group_id: components["schemas"]["SimpleId"];
    integration_id: components["parameters"]["intg_id"];
    /** @description Page identification */
    page_id: components["schemas"]["SimpleId"];
    /** @description Profile identification */
    profile_id: components["schemas"]["SimpleId"];
    /** @description Resource identifier */
    resource_id: string;
    /** @description Resource type */
    resource_type: components["schemas"]["ResourceType"];
    /** @description Identification of the external system. E.g. _homeassistant_. */
    system: components["schemas"]["ExternalSystemId"];
    /** @description Access token identification */
    token_id: components["schemas"]["AccessTokenId"];
    /** @description Filter by enabled flag. */
    enabled: boolean;
    /** @description Filter by entity type. */
    entity_type: components["schemas"]["EntityType"];
    /** @description Integration identification */
    intg_id: components["schemas"]["IntegrationId"];
    /** @description Resource type. */
    resource_type_query: components["schemas"]["ResourceType"];
    /** @description Current page number. 1-based. */
    page: number;
    /** @description Limits the number of returned items. */
    limit: number;
    /** @description Optional profile pin to access a protected profile with a non-admin account. */
    profile_pin: components["schemas"]["ProfilePin"];
  };
}

export interface operations {
  /** Access scopes are used to create tokens for the WebSocket API. */
  getAccessScopes: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["Scopes"];
        };
      };
    };
  };
  /**
   * External systems are handled with the R2 integrations. Before an access token for such a system can be provided,
   * the corresponding system needs to be registered.
   *
   * _TODO: reference to WebSocket API for integration registration._
   *
   * If the expected system name is not returned by this call, any operations on that system name will fail:
   * `/auth/external/{system}`.
   * Therefore, it's advisable to either call this method first or react on the 404 error while providing or updating an
   * external system token, to inform the client user, that the integration is not available on the remote.
   */
  getExternalSystems: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ExternalSystems"];
        };
      };
    };
  };
  /** Management operation to delete all external access tokens. Attention: this cannot be reverted! */
  deleteAllExternalAccessTokens: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
    };
  };
  getExternalAccessTokens: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
      };
      query: {
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["ExternalAccessTokens"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * An access token is usually required to connect to external systems like Home Assistant.
   * This method allows the external system to automatically provide the access token for the corresponding R2
   * integration instead of forcing the user to type it in. If the token name already exists for the given system,
   * error `422` is returned.
   * Use the put method to update an existing token.
   *
   * The format of the access token depends on the external system and the involved R2 integration.
   * It could be a UUID, a JWT or any other representation required for the integration to communicate with the
   * external system.
   *
   * The `system` parameter is determined by the registered R2 integration. Only registered system name identifiers are
   * valid, otherwise error `404` will be returned.
   * E.g. a "FooBar" integration might register the system identifier name "foobar".
   * Use the `GET /auth/external` method the retrieve the registered systems.
   */
  addExternalAccessToken: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
      };
    };
    responses: {
      /** Successful operation returning the token identifier in the response. */
      201: {
        content: {
          "application/json": {
            /**
             * Format: ^[a-zA-Z0-9\-_]+$
             * @description Unique token identifier, used for later token management through the external system or management ui.
             * If the token identifier has been provided in the request, then then same identifier is returned, otherwise a
             * UUID is generated.
             */
            token_id?: string;
          } & {
            token_it: unknown;
          };
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Access token that needs to be added to the remote */
    requestBody: {
      content: {
        "application/json": components["schemas"]["ExternalAccessTokenRequest"];
      };
    };
  };
  deleteExternalAccessTokensBySystem: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      404: components["responses"]["Err404NotFound"];
    };
  };
  getExternalAccessTokenCount: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
      };
    };
    responses: {
      /** Successful operation */
      200: unknown;
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getExternalAccessToken: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
        /** Access token identification */
        tokenId: components["parameters"]["token_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ExternalAccessToken"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * This methods allows an already provided token of an external system to be updated. The token is identified by
   * the system name and the token identification.
   */
  replaceExternalAccessToken: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
        /** Access token identification */
        tokenId: components["parameters"]["token_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Access token to update */
    requestBody: {
      content: {
        "application/json": components["schemas"]["ExternalAccessTokenRequest"];
      };
    };
  };
  /** No error is returned if the `tokenId` doesn't exist. `404` is only returned it the `system` is not found. */
  deleteExternalAccessToken: {
    parameters: {
      path: {
        /** Identification of the external system. E.g. _homeassistant_. */
        system: components["parameters"]["system"];
        /** Access token identification */
        tokenId: components["parameters"]["token_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      404: components["responses"]["Err404NotFound"];
    };
  };
  getAccessTokens: {
    parameters: {
      query: {
        /** Filter by active flag */
        active?: boolean;
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["AccessTokens"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * The returned token is usually not yet enabled for use and must first be approved by the user on the remote.
   *
   * The required scopes must be provided. They let you specify what exactly a client needs to access.
   * When the access token request is displayed to the remote user for approval, the requested scopes will be
   * displayed to them.
   *
   * An error is returned if a token already exists for the provided `token_id`. To issue a new token for the same
   * identifier, the old token needs to be revoked first.
   */
  createAccessToken: {
    responses: {
      /** Successful operation */
      201: {
        content: {
          "application/json": components["schemas"]["AccessToken"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Client information requesting access */
    requestBody: {
      content: {
        "application/json": components["schemas"]["AccessTokenRequest"];
      };
    };
  };
  deleteAllAccessTokens: {
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  getAccessTokenCount: {
    parameters: {
      query: {
        /** Filter by active flag */
        active?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: unknown;
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  getAccessToken: {
    parameters: {
      path: {
        /** Access token identification */
        tokenId: components["parameters"]["token_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["AccessToken"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** No error is returned if the `tokenId` doesn't exist. */
  deleteAccessToken: {
    parameters: {
      path: {
        /** Access token identification */
        tokenId: components["parameters"]["token_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /**
   * Activate token, rename friendly name or set validity periods of an existing token.
   *
   * Note: access scopes cannot be changed. This requires to revoke the token and request a new one.
   */
  updateAccessToken: {
    parameters: {
      path: {
        /** Access token identification */
        tokenId: components["parameters"]["token_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["AccessToken"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    /** Properties to update in the existing token. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["AccessTokenUpdate"];
      };
    };
  };
  getResourceTypes: {
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["ResourceType"][];
        };
      };
    };
  };
  deleteAllResources: {
    parameters: {
      query: {
        /** Resource type. */
        type?: components["parameters"]["resource_type_query"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
    };
  };
  getResourceTypeItems: {
    parameters: {
      path: {
        /** Resource type */
        type: components["parameters"]["resource_type"];
      };
      query: {
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["ResourceItems"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  uploadFile: {
    parameters: {
      path: {
        /** Resource type */
        type: components["parameters"]["resource_type"];
      };
    };
    responses: {
      /** Successful operation. */
      201: {
        content: {
          "application/json": components["schemas"]["ResourceItems"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    requestBody: {
      content: {
        "multipart/form-data": {
          /** Format: binary */
          file?: string;
        };
      };
    };
  };
  deleteResources: {
    parameters: {
      path: {
        /** Resource type */
        type: components["parameters"]["resource_type"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getResourceTypeItemsCount: {
    parameters: {
      path: {
        /** Resource type */
        type: components["parameters"]["resource_type"];
      };
    };
    responses: {
      /** Successful operation */
      200: unknown;
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getResource: {
    parameters: {
      path: {
        /** Resource type */
        type: components["parameters"]["resource_type"];
        /** Resource identifier */
        id: components["parameters"]["resource_id"];
      };
    };
    responses: {
      /** A resource file */
      200: {
        content: {
          "image/png": string;
          "image/jpg": string;
          "audio/vorbis": string;
          "application/octet-stream": string;
        };
      };
      404: components["responses"]["Err404NotFound"];
    };
  };
  deleteResource: {
    parameters: {
      path: {
        /** Resource type */
        type: components["parameters"]["resource_type"];
        /** Resource identifier */
        id: components["parameters"]["resource_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Retrieve an overview of the integration instances and their current connection state. */
  getIntegrationStatus: {
    parameters: {
      query: {
        /** Filter by enabled flag. */
        enabled?: components["parameters"]["enabled"];
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["IntegrationStatus"][];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Exectue a command on all active integration instances:
   *
   * - `connect`: requests all enabled integrations to establish a session to the integration driver and start processing
   *   events.
   *   Use `GET /intg` or `GET /intg/instances/{intgId}` to check on the connection status.
   * - `disconnect`: disconnects all active integration driver sessions.
   */
  executeCommandOnAllIntegrations: {
    parameters: {
      query: {
        /** Command to execute. */
        cmd: "connect" | "disconnect";
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Returns an overview of all registered drivers. To retrieve all driver data use `/intg/drivers/{driverId}`. */
  getIntegrationDrivers: {
    parameters: {
      query: {
        /** Filter by enabled flag. */
        enabled?: components["parameters"]["enabled"];
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["IntegrationDrivers"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * A driver provides the connection parameters and optional setup configuration for an integration driver.
   *
   * Depending on the driver capabilities it either provides a single access point to the provided entities, or exposes
   * multiple devices, each with its own unique set of entities. The former could for example be used to provide GPIO
   * access of a Raspberry Pi or gather all supported devices it is able to interact with (e.g. network sensors, light
   * switches etc.). The more cabable multi-device mode is suited to bridge home automation hubs where multiple
   * instances should be supported.
   *
   * Once a driver is registered, one or more integration instances must be configured to interact with the driver.
   * For simple integration drivers there's a 1:1 relationship between an instance and driver. For multi-device drivers,
   * each device corresponds to an integration instance.
   *
   * It is recommended to manually set a unique and human-readable driver identifier in `driver_id`. Otherwise a UUID
   * will be assigned. The `driver_id` is required for all further interactions with the driver, like creating a runtime
   * instance to connect to the driver and fetch available entities.
   */
  registerIntegrationDriver: {
    responses: {
      /** Successful operation returning the created integration driver in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["IntegrationDriver"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Integration driver data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["IntegrationDriverRequest"];
      };
    };
  };
  getIntegrationDriversCount: {
    parameters: {
      query: {
        /** Filter by enabled flag. */
        enabled?: components["parameters"]["enabled"];
      };
    };
    responses: {
      /** Successful operation. */
      200: unknown;
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Returns the full data of an integration driver, except the authentication token for external clients. */
  getIntegrationDriver: {
    parameters: {
      path: {
        /** Integration driver identification */
        driverId: components["parameters"]["driver_id"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["IntegrationDriver"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Manually start an integration driver to be ready for the integration instances, or stop a driver to disable all
   * integration instances processing.
   *
   * If a driver is enabled it will start automatically. Manually starting and stopping a driver is for testing purposes
   * and setting up new drivers in the web-configurator.
   */
  integrationDriverCommand: {
    parameters: {
      path: {
        /** Integration driver identification */
        driverId: components["parameters"]["driver_id"];
      };
      query: {
        /** Execute a command on the driver. */
        cmd: "start" | "stop";
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Create an integration driver instance and associate it with the driver.
   * For simple integration drivers there's a 1:1 relationship only between an instance and driver.
   * For multi-device drivers, each device corresponds to an integration instance.
   *
   * - the `integration_id` is automatically created by the system to make it unique over all integrations.
   * - for multi-device drivers the `device_id` must be specified and may not already exist in another instance of the
   *   same driver.
   * - the driver's name is used by default if `name` isn't specified.
   * - the instance is active by default if `enabled` isn't specified.
   */
  createIntegration: {
    parameters: {
      path: {
        /** Integration driver identification */
        driverId: components["parameters"]["driver_id"];
      };
    };
    responses: {
      /** Successful operation returning the created integration instance in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Integration"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Integration intance data. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["IntegrationRequest"];
      };
    };
  };
  /**
   * Unloads and deletes an integration driver with all instances and provided entities.
   *
   * **Attention: all references to the integration driver will be removed! This includes all driver instances,
   * provided entities and their references in profile pages and groups.**
   */
  deleteIntegrationDriver: {
    parameters: {
      path: {
        /** Integration driver identification */
        driverId: components["parameters"]["driver_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Update one or several properties of an integration driver.
   * See request description on how to update or delete an existing property.
   */
  updateIntegrationDriver: {
    parameters: {
      path: {
        /** Integration driver identification */
        driverId: components["parameters"]["driver_id"];
      };
    };
    responses: {
      /** Successful operation returning the updated integration driver in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["IntegrationDriver"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Entity data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["IntegrationDriverRequest"];
      };
    };
  };
  getIntegrations: {
    parameters: {
      query: {
        /** Filter by enabled flag. */
        enabled?: components["parameters"]["enabled"];
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["Integrations"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getIntegrationsCount: {
    parameters: {
      query: {
        /** Filter by enabled flag. */
        enabled?: components["parameters"]["enabled"];
      };
    };
    responses: {
      /** Successful operation. */
      200: unknown;
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getIntegration: {
    parameters: {
      path: {
        /** Integration identification */
        intgId: components["parameters"]["intg_id"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Integration"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Exectue a command on the integration instance:
   *
   * - `connect`: establish a session to the integration driver and start processing events.
   *   Use `GET /intg` or `GET /intg/instances/{intgId}` to check on the connection status.
   * - `disconnect`: disconnect from the driver and stop processing events.
   */
  executeIntegrationCommand: {
    parameters: {
      path: {
        /** Integration identification */
        intgId: components["parameters"]["intg_id"];
      };
      query: {
        /** Command to execute. */
        cmd: "connect" | "disconnect";
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Unloads and deletes an integration instance.
   *
   * **Attention: all references to the integration instance will be removed! This includes configured entities and
   * their references in profile pages and groups.**
   */
  deleteIntegration: {
    parameters: {
      path: {
        /** Integration identification */
        intgId: components["parameters"]["intg_id"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Modify one or several properties of an integration instance.
   * See update model description on how to update or delete an existing property.
   *
   * The integration driver of an instance cannot be changed and will be ignored if provided in the request.
   */
  updateIntegration: {
    parameters: {
      path: {
        /** Integration identification */
        intgId: components["parameters"]["intg_id"];
      };
    };
    responses: {
      /** Successful operation returning the updated integration instance in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Integration"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Integration instance data. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["IntegrationRequest"];
      };
    };
  };
  /**
   * Retrieve the available entities provided by the integration instance.
   *
   * By default only the entities are returned which are not yet configured. Use the `filter` query to include all or
   * only the already configured entities.
   */
  getAvailableEntitiesFromInstance: {
    parameters: {
      path: {
        /** Integration identification */
        intgId: components["parameters"]["intg_id"];
      };
      query: {
        /** Force reload available entities from driver. */
        reload?: boolean;
        /** Filter available entities. */
        filter?: "NEW" | "CONFIGURED" | "ALL";
        /** Filter by entity type. */
        entity_type?: components["parameters"]["entity_type"];
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["AvailableEntity"][];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Configure a new Remote Two entity from an available integration entity. Once configured, the entity will no longer
   * show up as available entity (unless the `all` filter is set).
   *
   * The entity `name`, `icon` and `description` fields may be changed. If not specified in the request the values from
   * the available entity are used.
   */
  configureEntityFromIntegration: {
    parameters: {
      path: {
        /** Integration identification */
        intgId: components["parameters"]["intg_id"];
        /** Entity identification. */
        entityId: components["parameters"]["entity_id"];
      };
    };
    responses: {
      /** Successful operation returning the configured entity in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Entity"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Entity data. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["EntityRequest"];
      };
    };
  };
  /**
   * Returns all configured and loaded entities.
   * Entities can be filtered by type and integration.
   */
  getEntities: {
    parameters: {
      query: {
        /** Filter by entity type. */
        entity_type?: components["parameters"]["entity_type"];
        /** Filter by integration. */
        intg_id?: components["schemas"]["IntegrationId"];
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["Entities"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  getEntityCount: {
    parameters: {
      query: {
        /** Filter by entity type. */
        entity_type?: components["parameters"]["entity_type"];
      };
    };
    responses: {
      /** Successful operation. */
      200: unknown;
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getEntity: {
    parameters: {
      path: {
        /** Entity identification. */
        entityId: components["parameters"]["entity_id"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Entity"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Unloads and deletes a configured entity. If the entity is still provided from an integration it can be reused and
   * will show up again in the available entity group.
   *
   * All references to the configured entity will be removed from profile pages and groups.
   */
  deleteEntity: {
    parameters: {
      path: {
        /** Entity identification. */
        entityId: components["parameters"]["entity_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  updateEntity: {
    parameters: {
      path: {
        /** Entity identification. */
        entityId: components["parameters"]["entity_id"];
      };
    };
    responses: {
      /** Successful operation returning the configured entity in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Entity"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Entity data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["EntityRequest"];
      };
    };
  };
  executeEntityCommand: {
    parameters: {
      path: {
        /** Entity identification. */
        entityId: components["parameters"]["entity_id"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Command data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["EntityCommand"];
      };
    };
  };
  getProfiles: {
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Profiles"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /**
   * The `profile_id` property is optional and auto-generated if not specified. Otherwise it needs to be a unique profile
   * identifier.
   * If a `pin` is specified the profile will be protected. A protected profile can only be accessed with the profile specific pin code.
   */
  createProfile: {
    responses: {
      /** Successful operation returning the profile identifier in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Profile"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Profile data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["ProfileRequest"];
      };
    };
  };
  deleteAllProfiles: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  getProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Profile"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  deleteProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Update one or multiple properties of a profile. A missing property will not update its current value.
   * - `profile_id` is mandatory and can't be changed.
   * - an empty `icon` value removes an existing icon identifier.
   * - an empty `pin` value removes an existing pin code.
   * - a missing `pages` property will not change the page order.
   * - ⚠️ an empty `pages` array removes all pages and groups in the profile!
   * - ⚠️ missing page identifiers in the `pages` array will remove the page configuration!
   */
  updateProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["Profile"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Properties to update in the existing profile. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["ProfileUpdate"];
      };
    };
  };
  getPagesInProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Page"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  createPage: {
    parameters: {
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation returning the page identifier in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Page"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Profile data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["Page"];
      };
    };
  };
  deleteAllPagesInProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getPage: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
        /** Page identification */
        pageId: components["parameters"]["page_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Page"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  deletePage: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
        /** Page identification */
        pageId: components["parameters"]["page_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  updatePage: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
        /** Page identification */
        pageId: components["parameters"]["page_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["Page"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Properties to update in the existing page. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["PageUpdate"];
      };
    };
  };
  getGroupsInProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Groups"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  createGroup: {
    parameters: {
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation returning the page identifier in the response. */
      201: {
        content: {
          "application/json": components["schemas"]["Group"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Profile data */
    requestBody: {
      content: {
        "application/json": components["schemas"]["Group"];
      };
    };
  };
  deleteAllGroupsInProfile: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getGroup: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
        /** Group identification */
        groupId: components["parameters"]["group_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["Group"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  deleteGroup: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
        /** Group identification */
        groupId: components["parameters"]["group_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ApiResponse"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  updateGroup: {
    parameters: {
      path: {
        /** Profile identification */
        profileId: components["parameters"]["profile_id"];
        /** Group identification */
        groupId: components["parameters"]["group_id"];
      };
      query: {
        /** Optional profile pin to access a protected profile with a non-admin account. */
        pin?: components["parameters"]["profile_pin"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["Group"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Properties to update in the existing group. */
    requestBody: {
      content: {
        "application/json": components["schemas"]["GroupUpdate"];
      };
    };
  };
  /**
   * Retrieve all system configuration settings at once. Updating a configuration setting must be performed with the
   * corresponding endpoint.
   */
  getAllSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgAll"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** This resets all system configuration settings to factory defaults. Integration & profile settings are not affected. */
  resetAllSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgAll"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Button backlight configuration. */
  getButtonSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgButtons"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple button backlight settings. */
  updateButtonSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgButtons"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgButtons"];
      };
    };
  };
  /** Display brightness and auto brightness configuration. */
  getDisplaySettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgDisplay"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple display settings. */
  updateDisplaySettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgDisplay"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgDisplay"];
      };
    };
  };
  /** Haptic configuration. */
  getHapticSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgHaptic"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple haptic settings. */
  updateHapticSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgHaptic"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgHaptic"];
      };
    };
  };
  /** Retrieve the language and region configuration. */
  getLocalizationSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgLocalization"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple localization settings. */
  updateLocalizationSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgLocalization"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgLocalization"];
      };
    };
  };
  getTimezoneNames: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": string[];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Language and region configuration. */
  getNetworkSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgNetwork"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple network settings. */
  updateNetworkSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgNetwork"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgNetwork"];
      };
    };
  };
  /** Sleep timeout and wakeup sensitivity configuration. */
  getPowerSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgPowerSaving"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple power saving settings. */
  updatePowerSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgPowerSaving"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgPowerSaving"];
      };
    };
  };
  /** Software update configuration. */
  getSoftwareUpdateSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgSoftwareUpdate"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple software update settings. */
  updateSoftwareUpdateSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgSoftwareUpdate"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgSoftwareUpdate"];
      };
    };
  };
  /** Sound configuration. */
  getSoundSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgSound"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple sound settings. */
  updateSoundSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgSound"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgSound"];
      };
    };
  };
  /** Voice control configuration. */
  getVoiceControlSettings: {
    parameters: {
      query: {
        /** Get default values instead of configured values. */
        default?: boolean;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgVoiceControl"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Change one or multiple voice control settings. */
  updateVoiceControlSettings: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["CfgVoiceControl"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
    requestBody: {
      content: {
        "application/json": components["schemas"]["CfgVoiceControl"];
      };
    };
  };
  getVoiceAssistants: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": string[];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /** Returns all dock configuration enriched with current connection information. */
  getDocks: {
    parameters: {
      query: {
        /** Filter by active flag */
        active?: boolean;
        /** Current page number. 1-based. */
        page?: components["parameters"]["page"];
        /** Limits the number of returned items. */
        limit?: components["parameters"]["limit"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        headers: {
          /** Total number of items. */
          "Pagination-Count"?: number;
          /** Number of returned items. */
          "Pagination-Limit"?: number;
          /** Current page number. 1-based. */
          "Pagination-Page"?: number;
        };
        content: {
          "application/json": components["schemas"]["DockConfigurations"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Create and persist a new dock configuration. To establish a session to the dock, a connect operation must be called
   * afterwards.
   * - Error `422` is returned if the given `service_name` already exists.
   * - If `custom_ws_url` is not specified, the dock address is resolved with a mDNS lookup based on `service_name`.
   * - The `active` flag specifies if the dock will participate to connection requests.
   * - Non-active docks will not auto-connect and must be enabled first to be used.
   */
  createDock: {
    responses: {
      /** Successful operation */
      201: {
        content: {
          "application/json": components["schemas"]["DockConfiguration"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      422: components["responses"]["Err422UnprocessableEntity"];
    };
    /** Client information requesting access */
    requestBody: {
      content: {
        "application/json": components["schemas"]["DockConfigurationRequest"];
      };
    };
  };
  /**
   * This clears all dock configuration: active dock sessions are disconnected and the persisted dock configuration will
   * be removed. If `/docks/connect` is called afterwards, there are no more dock connections to be established.
   */
  deleteAllDocks: {
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /**
   * Requests all active docks to establish a session to the dock.
   * Use `GET /docks` or `GET /docks/{dockId}` to check on the connection status.
   */
  connectAllDocks: {
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Disconnects all active dock sessions. */
  disconnectAllDocks: {
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  getDock: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["DockConfiguration"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  deleteDock: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Update one or more dock fields */
  updateDock: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["DockConfiguration"];
        };
      };
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Fields to update, ommit the ones without change. */
    requestBody: {
      content: {
        "application/json": {
          /** @description User assignable friendly name to use instead of service_name */
          name?: string;
          /** @description Dock WebSocket URL to override auto-discovery from service_name */
          custom_ws_url?: string;
          /**
           * @description Access token to connect to the dock.
           * This does not change the token in the dock! Use the `command` resource to change the token.
           */
          token?: string;
          /** @description Auto connect to dock when network is available */
          active?: boolean;
          /** @description Optional description */
          description?: string;
        };
      };
    };
  };
  dockCommand: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** Dock command */
    requestBody: {
      content: {
        "application/json": {
          /** @enum {string} */
          command:
            | "LED_BRIGHTNESS_START"
            | "LED_BRIGHTNESS_STOP"
            | "REMOTE_LOW_BATTERY"
            | "REMOTE_CHARGED"
            | "SET_FRIENDLY_NAME"
            | "REBOOT"
            | "RESET";
          /** @description Required for brightness start and friendly name */
          value?: string;
          /** @description Required for reset */
          token?: string;
        };
      };
    };
  };
  /**
   * Establish a session to the dock.
   * Use `GET /docks` or `GET /docks/{dockId}` to check on the connection status.
   */
  connectDock: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Disconnects the dock session. */
  disconnectDock: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Test function for sending IR commands. The IR code can either be in Pronto format or Hex.
   * If no output is specified, the code will only be emitted from the dock.
   */
  sendIrTest: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
      query: {
        /** Main internal ir blaster */
        int1?: boolean;
        /** Second internal ir blaster. V2 dock: top */
        int2?: boolean;
        /** External IR blaster 1 */
        ext1?: boolean;
        /** External IR blaster 2 */
        ext2?: boolean;
        /** Pronto IR code, values separated by comma */
        pronto?: string;
        /** Hex IR code */
        hex?: string;
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * Send an IR command, either in Pronto or [IRremoteESP8266 Hex](https://github.com/crankyoldgit/IRremoteESP8266) format.
   *
   * Hex format: `<protocol>,<hex-ir-code>,<bits>,<repeat-count>`
   * - protocol: numeric value from supported and enabled protocols. See: [decode_type_t](https://github.com/crankyoldgit/IRremoteESP8266/blob/v2.8.0/src/IRremoteESP8266.h#L866)
   * - hex-ir-code: HEX value prefixed with `0x`
   * - bits: number of bits in hex value
   */
  sendIr: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
    /** IR command */
    requestBody: {
      content: {
        "application/json": {
          /** @description Main internal ir blaster */
          int1?: boolean;
          /** @description Second internal ir blaster. V2 dock: top */
          int2?: boolean;
          /** @description External IR blaster 1 */
          ext1?: boolean;
          /** @description External IR blaster 2 */
          ext2?: boolean;
          /** @description Pronto IR code, values separated by space or comma */
          pronto?: string;
          /** @description Hex IR code */
          hex?: string;
        };
      };
    };
  };
  /** The current status and if the dock is in IR learning mode, any learned codes will be returned. */
  irLearningStatus: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      /** IR learning status */
      200: {
        content: {
          "application/json": components["schemas"]["IrStatus"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Puts the dock into IR learning mode. Use the GET status request to check on learned codes or DELETE to stop learning. */
  startIrLearning: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
      query: {
        /** Timeout in seconds to switch off learning mode. Default: 30 */
        timeout?: number;
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /**
   * The current status and any learned codes will be returned. After this call any learned codes are no longer accessible
   * through the GET status call.
   */
  stopIrLearning: {
    parameters: {
      path: {
        /** Dock identification */
        dockId: components["parameters"]["dock_id"];
      };
    };
    responses: {
      /** IR learning status */
      200: {
        content: {
          "application/json": components["schemas"]["IrStatus"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
      404: components["responses"]["Err404NotFound"];
    };
  };
  /** Get hardware information about the device like serial number, model number and hardware revision. */
  getSystemInfo: {
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": components["schemas"]["SystemInfo"];
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /**
   * The following system commands can be executed:
   *
   * - `STANDBY`: Put the device into standby mode.
   * - `REBOOT`: Reboot the device.
   * - `POWER_OFF`: Switch off the device
   * - `RESTART`: Restart the application.
   */
  systemCommand: {
    parameters: {
      query: {
        /** System command */
        cmd: "STANDBY" | "REBOOT" | "POWER_OFF" | "RESTART";
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /**
   * Get a factory reset token to perform a complete factory reset of the remote.
   *
   * The token will be valid for 60 seconds. Afterwards, a new token must be requested.
   * Whenever a new token is requested, any old tokens will be invalidated.
   */
  getFactoryResetToken: {
    responses: {
      /** Successful operation. */
      200: {
        content: {
          "application/json": {
            token?: string;
          };
        };
      };
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  /**
   * A factory reset removes all configuration data and puts the device into a clean state.
   *
   * ⚠️ **Warning:** All user data will be erased and won't be recoverable!
   *
   * A reset token must be requested first and provided to perform a factory reset.
   */
  performFactoryReset: {
    parameters: {
      query: {
        /** Reset token */
        token: string;
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      400: components["responses"]["Err400BadRequest"];
      401: components["responses"]["Err401Unauthorized"];
      403: components["responses"]["Err403Forbidden"];
    };
  };
  discoverAllServices: {
    parameters: {
      query: {
        /** Service browse timeout in seconds */
        timeout_browse?: number;
        /** Single service browse timeout in seconds */
        timeout_browse1?: number;
        /** Resolve timeout in seconds */
        timeout_resolve?: number;
        /** Address resolve timeout in seconds */
        timeout_address?: number;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ServiceInstances"];
        };
      };
      500: components["responses"]["Err500InternalServerError"];
    };
  };
  discoverService: {
    parameters: {
      path: {
        /** Service type, e.g. `_uc-remote._tcp` */
        query: string;
      };
      query: {
        /** Service browse timeout in seconds */
        timeout_browse?: number;
        /** Single service browse timeout in seconds */
        timeout_browse1?: number;
        /** Resolve timeout in seconds */
        timeout_resolve?: number;
        /** Address resolve timeout in seconds */
        timeout_address?: number;
      };
    };
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": components["schemas"]["ServiceInstances"];
        };
      };
      500: components["responses"]["Err500InternalServerError"];
    };
  };
  publishService: {
    responses: {
      /** Successful operation */
      200: {
        content: {
          "application/json": {
            reg_type: string;
            port: number;
            txt?: { [key: string]: string };
          };
        };
      };
      500: components["responses"]["Err500InternalServerError"];
    };
  };
  unpublishService: {
    parameters: {
      path: {
        /** Service name */
        name: string;
      };
    };
    responses: {
      200: components["responses"]["SuccessMessage"];
      404: components["responses"]["Err404NotFound"];
      500: components["responses"]["Err500InternalServerError"];
    };
  };
}
