export default {
  connection: {
    status: {
      connected: "Connecté",
      disconnected: "Déconnecté"
    },
    try_again: "Réessayez",
    disconnect: "Déconnecter"
  },
  login: {
    label: "Veuillez entrer le code PIN pour commencer",
    submit: "Déverrouiller",
    error: {
      NOT_AUTHORIZED: "Mauvaise broche. Réessayez.",
      ERR_NETWORK: "Erreur réseau. Vérifiez votre connexion.",
      ERR_CANCELED: "Erreur réseau. Vérifiez votre connexion.",
      UNKNOWN: "Erreur inconnue. Réessayez."
    }
  },
  navigation: {
    goBack: "Back"
  },
  home: {
    description: "Choisissez l'une des options à droite pour commencer",
    alternate_view: {
      title: "Le configurateur web n'est pas disponible pour cet appareil.",
      description: "Veuillez utiliser une tablette en mode paysage ou un navigateur de bureau pour accéder au configurateur web."
    }
  },
  menu: {
    integration: {
      title: "Integrations & docks",
      description: "Ajouter ou supprimer des intégrations, modifier les paramètres"
    },
    ui: {
      title: "Interface utilisateur",
      description: "Ajouter ou supprimer des pages, personnaliser l'interface utilisateur"
    },
    activities: {
      title: "Activités et macros",
      description: "Créer ou éditer des activités et des scènes"
    },
    remote: {
      title: "Télécommandes",
      description: "Ajouter des télécommandes IR pour contrôler vos appareils"
    },
    settings: {
      title: "Réglages",
      description: "Ajuster la sensibilité du réveil, l'économie d'énergie et les autres paramètres du système"
    },
    support: {
      title: "Soutien",
      description: "Vous avez une question ? Envoyez-nous un message"
    }
  },
  settings: {
    title: "Réglages",
    description: "Ajuster la sensibilité du réveil, l'économie d'énergie et les autres paramètres du système",
    rows: {
      display: {
        title: "Affichage et luminosité"
      },
      network: {
        title: "Network"
      },
      sound: {
        title: "Son & haptique"
      },
      voice_control: {
        title: "Contrôle vocal"
      },
      power_saving: {
        title: "Économie d'énergie"
      },
      localization: {
        title: "Traduction"
      },
      remote: {
        title: "Distante"
      }
    },
    auto_brightness: {
      title: "Luminosité automatique",
      description: "Ajuster automatiquement la luminosité de l'écran en fonction des conditions d'éclairage ambiant."
    },
    display_brightness: {
      title: "Luminosité d'affichage"
    },
    button_backlight: {
      title: "Rétroéclairage des boutons",
      description: "When on, button backlight will automatically turn on in a dark room."
    },
    button_brightness: {
      title: "Luminosité des boutons"
    },
    network_bt: {
      title: "Bluetooth"
    },
    network_wifi: {
      title: "WiFi"
    },
    sound_effects: {
      title: "Effets sonores"
    },
    sound_effects_volume: {
      title: "Volume des effets sonores"
    },
    haptic_feedback: {
      title: "Retour haptique"
    },
    voice_control: {
      title: "Contrôle vocal",
      description: "Désactiver le contrôle vocal vous permettra toujours d'utiliser la dictée vocale avec des intégrations."
    },
    microphone: {
      title: "Microphone",
      description: "Désactiver le microphone le désactivera complètement."
    },
    voice_assistant: {
      title: "Assistant vocal",
      select_title: "Sélectionnez un assistant vocal",
      none: "Aucun"
    },
    wakeup_sensitivity: {
      title: "Sensibilité au réveil",
      description: "Nombre de mouvements nécessaires pour réveiller la télécommande."
    },
    display_timeout: {
      title: "Délai d'affichage"
    },
    sleep_timeout: {
      title: "Délai de mise en veille"
    },
    language: {
      title: "Langue",
      english: "Anglais",
      select_title: "Sélectionner la langue de l'interface utilisateur"
    },
    country: {
      title: "Pays",
      select_title: "Sélectionner un pays",
      denmark: "Danemark",
      hungary: "Hongrie"
    },
    timezone: {
      title: "Timezone",
      select_title: "Sélectionnez votre fuseau horaire"
    },
    timeformat: {
      title: "24 heures"
    },
    unit_system: {
      title: "Système d'unités",
      select_title: "Sélectionner le système d'unité",
      metric: "Métrique"
    },
    factory_reset: {
      title: "Réinitialisation d'usine",
      description: "Resetting will delete all settings, configuration and any information saved on the remote."
    },
    device: {
      remote_title: "Nom",
      remote_new_name: "New name",
      remote_modal_title: "Change name"
    },
    resources: {
      title: "Resources",
      description: "Manage your custom icons and images."
    },
    software_update: {
      title: "Softare update",
      description: "Your software is up to date.",
      button: "Check for update"
    },
    backup: {
      title: "Backup",
      description: "Download and restore backups of your configuration."
    },
    ir_dataset: {
      title: "Custom IR dataset",
      description: "Download all your custom IR datasets.",
      button: "Download"
    }
  },
  integration: {
    title: "Integrations & docks",
    integrations: "Integrations",
    state: "State",
    id: "Id",
    delete_title: "Delete integration",
    delete_confirm: "Are you sure you want to delete this integration?",
    docks: "Docks",
    description: "Ajouter ou supprimer des intégrations et modifier leur configuration",
    filter: {
      placeholder: "Chercher",
      submit: "Filtre"
    },
    status: {
      UNKNOWN: "Inconnu",
      IDLE: "Idle",
      CONNECTING: "Connexion en cours",
      CONNECTED: "Connecté",
      DISCONNECTED: "Déconnecté",
      RECONNECTING: "Reconnecting",
      ACTIVE: "Active",
      ERROR: "Erreur",
      NOT_CONFIGURED: "Not configured",
      SERVICE_UNAVAILABLE: "Service Unavailable"
    },
    new_integration: {
      title: "Ajouter une nouvelle intégration",
      setup_title: "Ajouter {name}",
      save: "Ajouter une intégration",
      name_label: "Nom",
      no_instantiable_driver: "No integrations available",
      no_integration_discovered: "No integration discovered",
      discovered_integrations: "{number} integration(s) discovered",
      no_entites: "No entities",
      discover: "Discover",
      discover_stop: "Stop discovery",
      discover_description_1: "Click Discover to search for external integrations on your network.",
      discover_description_2: "To see a list of integrations on Unfolded Circle Support {link}",
      list_link: "click here",
      discover_loading: "Discovering integration drivers",
      developer: "Developed by {dev}",
      unknown_developer: "Unknown developer",
      setup_head_external: "Connect to external integration",
      advanced_mode_title: "Advanced mode",
      advanced_mode_description: "Lets you change the driver url and configure an access token for external integrations."
    },
    setup: {
      title: "{name} driver",
      url: "Driver URL",
      modal_title: "Integration setup",
      token: "Access token",
      token_placeholder: "Optional",
      test_connection: "Test connection",
      test_failed: "Connection test failed",
      test_ok: "Connection test successful",
      test_failed_400: "Bad request, e.g. connection parameters missing for connection test command.",
      test_failed_401: "Authentication credentials were missing or incorrect.",
      test_failed_403: "The request is understood, but the client does not have access rights to the content.",
      test_failed_404: "Given driver ID does not exists",
      test_failed_500: "Unknown (500)",
      test_failed_503: "Integration driver connection could not be established.",
      test_failed_UNKNOWN: "An error has occurred",
      add_title: "Ajouter {name}",
      loader: "Setting up...",
      loader_entities: "Loading...",
      ok_title1: "You're all set!",
      ok_title2: "{name} is now set up.",
      ok_description: "Click the edit integration button to start adding entites to the remote. You can edit an integration anytime by clicking on the integration under the Integrations and docks menu.",
      edit_button: "Edit integration",
      fail_title1: "Oops!",
      fail_title2: "Something went wrong when trying to setup a new integration.",
      try_again: "Edit integration",
      error: "Error on setup: {msg}"
    },
    edit: {
      save_button: "Enregistrer",
      cancel_button: "Abandonner",
      disconnect_button: "Déconnecter",
      connect_button: "Connecter"
    },
    driver: {
      block_title: "Informations sur le chauffeur",
      name: "Nom",
      developer_name: "Developer",
      developer_url: "Site Web",
      version: "Version",
      driver_id: "Id",
      driver_url: "URL",
      driver_state: "State",
      state_active: "Actif",
      state_inactive: "inactif",
      type_external: "External integration",
      type_local: "Local integration"
    },
    reload_entities: "Reload entities",
    available_entities: {
      title: "Entités disponibles",
      desc: "Entités exposées par l'intégration"
    },
    configured_entities: {
      title: "Entités configurées",
      desc: "Entités contrôlées par la télécommande",
      drag_area: "Drag here to add"
    },
    driver_connection: {
      trigger: "Driver connection settings",
      modal_subtitle: "Driver connection settings",
      button_cancel: "Abandonner",
      button_save: "Enregistrer",
      url: "URL",
      token: "Token",
      token_description: "Token is required",
      token_is_not_set: "Token is not set"
    },
    driver_setup: {
      description: "Click on Start integration setup if you’d like to setup this integration again.",
      button: "Start integration setup",
      cancel: "Abandonner",
      next: "Next",
      select_entities: "Select entities"
    }
  },
  activities: {
    title: "Activités et macros",
    description: "Sélectionnez une activité ou une macro pour commencer",
    activities: "Activités",
    macros: "Macros",
    activity: {
      delete_title: "Delete activity",
      delete_confirm: "Êtes-vous sûr de vouloir supprimer cette activité ?",
      delete: "Supprimez"
    },
    new_activity: {
      title: "Ajouter une activité",
      add_activity: "Ajouter",
      name: "Nom",
      clone_title: "Activité du clonage",
      clone_activity: "Cloner",
      entities: "Entités"
    },
    sequences: {
      tab_on: "Sur séquence",
      tab_off: "Séquence désactivée",
      drag_here: "Déposer les commandes ici",
      empty_list: "Vous n'avez pas encore créé de séquence."
    },
    items: {
      tab_commands: "Commandes",
      tab_entities: "Entités"
    },
    macro: {
      delete_confirm: "Êtes-vous sûr de vouloir supprimer cette macro?",
      delete: "Supprimez"
    },
    new_macro: {
      title: "Ajouter une macro",
      add_macro: "Ajouter",
      name: "Nom",
      clone_title: "Cloner la macro",
      clone_macro: "Cloner"
    }
  },
  dock: {
    status: {
      IDLE: "Idle",
      CONNECTING: "Connexion en cours",
      CONNECTED: "Connecté",
      RECONNECTING: "Reconnecting",
      AUTHENTICATED: "Authenticated",
      DISCONNECTED: "Déconnecté",
      CLOSING: "Closing",
      ERROR: "Erreur",
      ACTIVE: "Active"
    },
    delete: "Supprimez",
    delete_title: "Delete dock",
    delete_confirm: "Are you sure you want to delete this dock?",
    add_new: "Add a new dock",
    setting: {
      service: "Service name",
      address: "Custom IP or URL",
      connection_type: "Connection",
      led_brightness: "Led brightness",
      status: "Status",
      version: "Firmware version",
      pass_change_open: "Change password",
      pass_change: "Change password",
      pass_new: "New password",
      pass_confirm: "Repeat new password",
      pass_not_match: "Passwords are not the same",
      pass_save: "Enregistrer",
      cancel: "Abandonner",
      wifi_change_open: "Change WiFi settings",
      wifi_change: "Change WiFi credentials",
      wifi_ssid: "SSID",
      wifi_pass: "Password",
      wifi_save: "Enregistrer"
    },
    factory_reset: {
      open: "Réinitialisation d'usine",
      done: "Factory reset command has been sent",
      error: "Error on factory reset: {msg}"
    },
    update: {
      loading: "Loading",
      ok: "Your software is up to date.",
      update: "New firmware version available",
      disabled: "Online update check disabled.",
      check: "Check for update",
      start_update: "Update",
      release_notes: "Release notes",
      error_on_check: "Error while checking firmware",
      in_progress: "Software update is in progress. Please do not turn off the dock.",
      do_not_turn_off: "Please do not turn off the dock.",
      success_1: "You’re all set!",
      success_2: "The firmware is now up to date.",
      done: "Done",
      error_1: "Oops!",
      error_2: "Something went wrong when trying to update the firmware on the dock.",
      go_back: "Go back"
    },
    identity: {
      start: "Identify",
      description: "Blinks the LED on dock"
    },
    change: {
      ok: "Change has been saved",
      error: "Erreur lors de la sauvegarde: {msg}"
    },
    add: {
      manually: "Manual setup",
      cancel: "Abandonner",
      close: "Close",
      next: "Next",
      start_1: "Click Discover to search for docks on your network or via Bluetooth.",
      start_2: "If you would like to wirelressly setup a new dock, make sure it’s in close proximity to the remote.",
      bt_off: "Bluetooth is disabled.<br/> Discovery limited to network only.",
      discovery_start: "Discover",
      discovery_loading: "Discovering devices",
      no_dock_discovered: "No dock discovered",
      discovered_dock: "{number} dock(s) discovered",
      last_seen: "Last seen {number}s ago"
    },
    setup: {
      steps: "Step {current}/{total}",
      bt_pre_warn: "Make sure the dock is in close proximity to the remote and the indicator LED is blinking amber.",
      bt_setup_warn: "Make sure the dock is available and reachagble on the network. Docks cannot be set up via Bluetooth if using manual setup.",
      name: "Nom",
      name_placeholder: "UC Smart Charging dock",
      pass: "Password",
      pass_placeholder: "Optional",
      pass_description: "Optional. Set a password for accessing the dock. You will need this password if you’d like to control the dock from other devices.",
      address: "IP address or hostname",
      address_placeholder: "uc-dock.local",
      wifi_on: "Setup WiFi",
      wifi_ssid: "WiFi network SSID",
      wifi_ssid_placeholder: "SSID",
      wifi_pass: "WiFi network password",
      wifi_pass_placeholder: "Password"
    },
    setup_process: {
      error_1: "Oops!",
      error_2: "Something went wrong when trying to setup a new dock.",
      try_again: "Réessayez",
      cancel: "Abandonner",
      ok_1: "You're all set!",
      ok_2: "{name} is now set up.",
      done: "Done",
      state_: "Setting up",
      state_NEW: "Setting up",
      state_CONFIGURING: "Setting up",
      state_UPLOADING: "Uploading",
      state_RESTARTING: "Restarting",
      error_NONE: "Aucun",
      error_NOT_FOUND: "Not found",
      error_CONNECTION_REFUSED: "Connection refused",
      error_CONNECTION_ERROR: "Connection error",
      error_AUTHORIZATION_ERROR: "Authorization error",
      error_TIMEOUT: "Timeout",
      error_OTHER: "Other error"
    }
  },
  message: {
    save_ok: "Les modifications ont été enregistrées",
    error_load: "Erreur lors du chargement : {msg}",
    error_save: "Erreur lors de la sauvegarde: {msg}",
    error_delete: "Erreur lors de la suppression : {msg}",
    app_error: "Erreur d'application : {info} {msg}",
    view_error: "Erreur de vue : {info} {msg}",
    component_error: "Erreur de composant : {info} {msg}",
    emptyNameFieldError: "Name field is empty."
  },
  activity: {
    form: {
      name: "Nom",
      icon: "Icône",
      desc: "Libellé",
      desc_placeholder: "Cette activité est ma nouvelle activité",
      ui: "Interface utilisateur",
      edit_ui: "Edit user interface",
      entities: "Entités incluses",
      drag_here: "Faites glisser les entités ici",
      ui_desc: "Edit the user interface that opens after the activity has started"
    },
    ui: {
      button_mapping: "Mappage des boutons",
      components: "Composants",
      components_description: "Faites glisser les composants vers la télécommande pour les ajouter. Pour supprimer un composant, faites le glisser en dehors de la télécommande.",
      add_page: "Ajouter une page",
      delete_page: "Supprimer la page",
      delete_button: "Supprimer ce composant",
      available_commands: "Commandes disponibles pour {0}",
      invalid_size: "Taille du bouton invalide"
    }
  },
  macro: {
    form: {
      name: "Nom",
      desc: "Libellé",
      desc_placeholder: "Cette macro est ma nouvelle macro",
      entities: "Entités incluses",
      drag_here: "Faites glisser les entités ici",
      sequence_title: "Séquence",
      sequences_drag_here: "Déposer les commandes ici",
      tab_commands: "Commandes",
      tab_entities: "Entités",
      sequence_empty_list: "Vous n'avez pas encore créé de séquence."
    }
  },
  command: {
    delay: "Délai",
    remove: "Retirer"
  },
  ui: {
    title: "Interface utilisateur",
    description: "Sélectionnez un profil ou une télécommande pour commencer",
    profiles: "Profiles",
    customize: "Personnaliser",
    delete: "Supprimez",
    filter_by_integration: "Filtrer par intégration",
    new_profile: {
      title: "Ajouter un nouveau profil",
      profile_name: "Nom du profil",
      name: "Nom",
      pin: "Code PIN",
      profile_pin: "Code PIN du profil",
      restricted: "Restricted",
      pin_help: "Définir un code PIN pour le profil limite son accès aux paramètres et à la configuration. Utilisez cette fonction pour créer un profil pour des invités ou des enfants par exemple.",
      restricted_help: "A restricted profile has no access to settings and configuration. Use this type to create profiles for guests or kids for example.",
      add_profile: "Ajouter un profil"
    },
    profile: {
      delete_title: "Delete profile",
      delete_confirm: "Êtes-vous sûr de vouloir supprimer ce profil?",
      add_pin: "Définir le code PIN",
      change_pin: "Modifier le code PIN",
      add_page: "Ajouter une page",
      edit_page: "Modifier la page",
      delete_page: "Retirer",
      page_empty_view: "Ajouter une page pour commencer",
      select_icon: "Sélectionner une icône",
      tab_entities: "Entités",
      tab_groups: "Groupes",
      profile_name: "Nom du profil",
      pin_modal_change_title: "Définir le code PIN pour {0}",
      pin_modal_cancel: "Abandonner",
      pin_modal_save: "Définir le code PIN",
      pin_modal_remove: "Supprimer le code PIN",
      change_image: "Change background",
      select_image: "Select background",
      remove_image: "Delete background",
      restricted: "Restricted",
      images: "images"
    },
    group: {
      add_group_button: "Create group",
      collapse_all: "Replier tout",
      add_entity: "Ajouter une entité",
      select_entity_title: "Ajouter des entités au groupe"
    },
    new_group: {
      title: "Ajouter un nouveau groupe",
      name: "Nom",
      name_placeholder: "Nom du groupe",
      icon: "Icône",
      description: "Libellé",
      description_placeholder: "Description de ce groupe",
      add_group: "Ajouter un groupe"
    },
    edit_group: {
      title: "Edit group",
      save_group: "Enregistrer",
      delete_button: "Delete group",
      entities: "Entités",
      delete_confirm_question: "Are you sure you want to remove this group?",
      delete_confirm_button: "Oui, supprimer"
    }
  },
  customize: {
    type: {
      remote: "Distante",
      activity: "Activité"
    }
  },
  remote: {
    title: "Télécommandes",
    description: "Ajouter des télécommandes pour contrôler les appareils IR",
    settings: "Réglages",
    pagination_count: "Page {currentPage} of {pageCount}",
    types: {
      infrared: {
        title: "infrarouge"
      }
    },
    new_remote: {
      title: "Ajouter un nouvel appareil IR",
      subtitle: "Choisir un jeu de données IR",
      custom_name: "Custom name",
      custom_name_optional: "Optional",
      search_placeholder: "Rechercher un fabricant",
      search_device_placeholder: "Chercher",
      blank_button: "Créer un champ vide",
      blank_description: "Crée une télécommande IR vide. Vous devez ajouter ou apprendre les codes vous-même.",
      create_custom_title: "Créer une personnalisation",
      create_custom_subtitle: "Créer un jeu de données IR personnalisé",
      manufacturer: "Fabricant",
      device: "Appareil",
      type_to_search: "Tapez pour rechercher un fabricant",
      type_to_search_device: "Tapez pour rechercher un appareil",
      type_to_search_short: "Tapez pour rechercher",
      test_dataset: "Tester le jeu de données IR",
      test_dataset_help: "Veuillez vérifier que les commandes fonctionnent en sélectionnant et en cliquant sur les commandes que vous voulez tester"
    },
    delete: {
      delete: "Supprimez",
      delete_title: "Delete remote",
      delete_confirm: "Êtes-vous sûr de vouloir supprimer cette télécommande ?"
    },
    form: {
      name: "Nom",
      icon: "Icône",
      desc: "Libellé",
      desc_placeholder: "Ceci est ma nouvelle télécommande",
      ir_dataset: "Ensemble de données IR",
      ir_output_device: "Périphérique de sortie IR",
      ir_output_port: "Port de sortie IR",
      button_mapping: "Mappage des boutons",
      components: "Composants",
      pages: "Pages",
      download: "Download",
      download_dataset: "Download data set"
    },
    button_mapping: {
      title: "Mappage des boutons",
      available_commands: "Available commands",
      command: "Commandes"
    },
    ir: {
      custom_button: "Bouton personnalisé",
      add_custom_command: "Add custom command",
      add_custom_button: "Add custom button",
      bulk_import: "Bulk import",
      command_name: "Command name",
      button_name: "Button name",
      add_ir_code: "Ajouter un code IR",
      press_until_done: "Appuyez sur le bouton plusieurs fois jusqu'à ce que le processus d'apprentissage soit terminé",
      start_learning: "Commencer l'apprentissage",
      stop_learning: "Stop learning",
      adding_for: "Ajout du code IR pour le bouton:",
      paste_code_placeholder: "Collez votre code ici ou commencez à apprendre en pointant votre ancienne télécommande vers l'avant du dock et appuyez sur la touche que vous souhaitez apprendre.",
      format_help_click: "Cliquez ici",
      format_help: "pour voir quels formats nous acceptons.",
      format: "Formater",
      modify: "Modifier",
      learning: {
        test_your_code: "Teste ton code IR . Sélectionne où envoyer le code."
      },
      code_format_hex: "Hex",
      code_format_pronto: "PRONTO",
      ir_device: "IR device",
      learn_save_error: "Error on save learned code: {msg}",
      learn_save_ok: "New code saved",
      test_ok: "Code testing OK",
      test_error: "Error on testing code: {msg}"
    },
    ir_import: {
      title: "IR codes import",
      description: "Upload multiple IR codes in a CSV file. Order of the header columns is not relevant, additional columns will be ignored. Default format: PRONTO.",
      example: {
        key_label: "key",
        key_value: "POWER_ON",
        code_label: "code",
        code_value: "0000 006d 0000 0020 000a",
        format_label: "format (optional)",
        format_value: "PRONTO",
        format_info_button: "Cliquez ici",
        format_info_text: "pour voir quels formats nous acceptons."
      },
      file_size: "Maximum file size: 10MB.",
      delimiter_label: "Delimiter",
      delimiter_info: "Optional CSV delimiter character",
      comment_label: "Comment",
      comment_info: "Optional. The comment character at the start of a line to use when parsing CSV. No comment character is set by default.",
      overwrite_label: "Overwrite existing IR codes with the same key",
      state: {
        success: "The codes have been successfully uploaded.",
        error: "There was an error while uploading the codes."
      },
      upload: "Upload",
      done: "Done",
      try_again: "Réessayez"
    }
  },
  button_remap: {
    title: "Remappage des boutons",
    text: "Il s'agit d'un bouton spécial avec des fonctionnalités pour naviguer dans l'interface utilisateur. Si vous choisissez d'assigner une nouvelle fonction, vous perdrez la fonctionnalité d'origine et aurez besoin d'utiliser l'écran tactile pour revenir à l'écran principal.",
    accept: "Compris",
    cancel: "Abandonner"
  },
  languages: {
    english: "Anglais"
  },
  measurement_units: {
    metric: "Métrique",
    us: "US",
    uk: "RU"
  },
  select: {
    select_title: "Sélectionner {title}",
    add: "Ajouter",
    cancel: "Abandonner",
    invalid: "Sélection non valide",
    create: "Créer",
    next: "Next",
    search: {
      placeholder: "Chercher"
    }
  },
  text: {
    input_label: "Valeur du type",
    button_delete: "Supprimez",
    button_cancel: "Abandonner",
    button_submit: "Enregistrer",
    button_reset: "Reset",
    button_test: "Tester",
    button_next: "Next",
    button_done: "Done",
    button_try_again: "Réessayez",
    available: "available",
    button_select_all: "Select all",
    button_clear: "Clear",
    button_add: "Ajouter",
    button_add_to_page: "Add to page",
    button_add_to_group: "Add to group",
    button_add_to_activity: "Add to activity",
    button_add_to_macro: "Add to macro",
    button_remove: "Retirer",
    button_reload: "Reload"
  },
  factory_reset: {
    title: "Réinitialisation d'usine",
    button: {
      confirm: "Valider",
      cancel: "Abandonner"
    },
    modal: {
      title: "Réinitialisation d'usine",
      subtitle: "Point of no return",
      message: "Confirming factory reset will erase all configuration and data. It will not be possible to restore anything."
    }
  },
  components: {
    icon: {
      label: "Bouton avec icône"
    },
    text: {
      label: "Bouton avec texte"
    },
    numpad: {
      label: "Numpad"
    }
  },
  component: {
    config: {
      change_cmd: "Cliquez pour modifier",
      width: "Width",
      height: "Hauteur",
      icon: "Icône",
      label: "Étiquette",
      none: "NONE",
      to_text: "To text",
      to_icon: "To icon"
    }
  },
  entity: {
    type: {
      remote: "Distante",
      activity: "Activité",
      integration: "Intégration"
    },
    confirm: {
      remove_question: "Êtes-vous sûr de vouloir supprimer cette entité ?",
      remove_button: "Oui, supprimer"
    },
    entity_type: {
      button: 'Button',
      switch: 'Switch',
      climate: 'Climate',
      cover: 'Cover',
      light: 'Light',
      media_player: 'Media player',
      sensor: 'Sensor',
      activity: "Activité",
      macro: 'Macro',
      remote: "Distante"
    },
    message: {
      scroll_for_more: "Scroll for more entities"
    }
  },
  quick_edit: {
    help: "Rechercher une entité pour renommer ou modifier son icône",
    open_button: "Edit",
    modal_title: "Modifier l'entité",
    icon: "Icône",
    name: "Nom",
    description: "Libellé",
    submit: "Enregistrer",
    cancel: "Abandonner"
  },
  filter_dropdown: {
    title: 'Filters',
    entity_types: 'Entity types',
    integrations: 'Integrations',
    clear_all: 'Clear all'
  },
  error: {
    session_expired: "La session a expiré",
    unknwon_error: "Erreur inconnue"
  },
  resources: {
    list: {
      title: "Resources",
      loading: "Loading..."
    },
    upload_button: "Upload",
    upload: {
      file: "File",
      title: "Resources",
      submit: "Upload",
      cancel: "Abandonner",
      type_label: "Resource type",
      error: "Error on upload: {msg}",
      browse_button: "Select a file",
      no_file_selected: "please select a file"
    },
    select: {
      uc_icon: "UC icons",
      custom_icon: "Custom icons"
    }
  }
};