export function useTiming() {
	let timeoutMap = new Map();
	function timeoutHelper(callback: any, duration: any) {
		clearTimeout(timeoutMap.get(callback));
		
		const timer = setTimeout(() => {
			callback();
			clearTimeout(timer);
			timeoutMap.delete(callback);
		}, duration);
		
		timeoutMap.set(callback, timer);
	}
	return {
		timeoutHelper
	};
}
  