export function useUrlHelper() {
	function addParams(paramObj: any, url: string) {
		const queryString = url.includes('?') ? url.split('?')[1] : '';
		const dateTimeRegex = /^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$/;
		let searchParams = new URLSearchParams(queryString);

		for (let key in paramObj) {
			// Check: format is date-time 
			if (paramObj.hasOwnProperty(key) && dateTimeRegex.test(paramObj[key])) {
				searchParams.set(key, paramObj[key]);
			} else if (paramObj.hasOwnProperty(key)) {
				searchParams.set(key, encodeURIComponent(paramObj[key]));
			}
		}
		
		return url.split('?')[0] + '?' + searchParams.toString();
	}
	return {
		addParams
	};
}