import { defineStore } from "pinia";
import type { Profile, ProfileNewData } from "@/types/profile";
import ApiConnection from "@/api";

const API = ApiConnection.profiles;

export const profilesStore = defineStore({
  id: "profiles",
  state: () => ({
    profiles: [] as Profile[] | [],
  }),

  actions: {
    async getAll(): Promise<Profile[]> {
      const items = await API.getAll();
      this.$state.profiles = items;
      return items;
    },

    async create(profileData: ProfileNewData): Promise<Profile> {
      return await API.createNewProfile(profileData);
    },

    async delete(profile: Profile): Promise<Profile[]> {
      await API.delete(profile);
      return this.getAll();
    },
  },
});
