export enum LoginState {
  NOT_DEFINED = -1,
  AUTHORISED = 1,
  ANONYMOUS = 0,
}

export enum SettingTypes {
  BOOL = "bool",
  PERCENT = "percent",
  SLIDE = "slide",
  SECONDS = "seconds",
  SELECT = "select",
  TEXT = "text",
}

export enum IntegrationStatuses {
  DISCOVERED = "discovered",
  CONNECTED = "connected",
  DISCONNECTED = "disconnected",
}

export enum CfgGroups {
  button = "button",
  display = "display",
  haptic = "haptic",
  localization = "localization",
  network = "network",
  power_saving = "power_saving",
  software_update = "software_update",
  sound = "sound",
  voice_control = "voice_control",
  device = "device",
  profile = "profile",
}

export enum SelectTypes {
  VoiceAssistant = "voice_assistant",
  UnitSystem = "unit_system",
  TimeZone = "timezone",
  Country = "country",
  Language = "language",
  Icon = "icon",
}

// IntegrationState is the combined state of DeviceState & DriverState used in IntegrationStatus (returned from GET /api/intg)
export enum IntegrationState {
  NOT_CONFIGURED = "NOT_CONFIGURED",
  UNKNOWN = "UNKNOWN",
  IDLE = "IDLE",
  CONNECTING = "CONNECTING",
  CONNECTED = "CONNECTED",
  DISCONNECTED = "DISCONNECTED",
  RECONNECTING = "RECONNECTING",
  ACTIVE = "ACTIVE",
  ERROR = "ERROR",
}

export enum DeviceState {
  UNKNOWN = "UNKNOWN",
  CONNECTING = "CONNECTING",
  CONNECTED = "CONNECTED",
  DISCONNECTED = "DISCONNECTED",
  ERROR = "ERROR",
}

export enum DriverState {
  NOT_CONFIGURED = "NOT_CONFIGURED",
  IDLE = "IDLE",
  CONNECTING = "CONNECTING",
  ACTIVE = "ACTIVE",
  RECONNECTING = "RECONNECTING",
  ERROR = "ERROR",
}

export enum DriverType {
  LOCAL = "LOCAL",
  EXTERNAL = "EXTERNAL",
}

export enum EntityType {
  button = "button",
  climate = "climate",
  cover = "cover",
  light = "light",
  media_player = "media_player",
  sensor = "sensor",
  switch = "switch",
  activity = "activity",
  macro = "macro",
  remote = "remote",
}

export enum SequenceType {
  delay = "delay",
  command = "command",
}

export enum FlashMessageType {
  error = "error",
  info = "info",
}

export enum DeviceButtonGroup {
  keypad = "keypad",
}

export enum IrCodeSetType {
  manufacturer = "manufacturer",
  custom = "custom",
}

export enum ImportIrCodeSetState {
  UPLOAD = "UPLOAD",
  SUCCESS = "SUCCESS",
  ERROR = "ERROR",
}

export enum RemoteIrCodeFormat {
  HEX = "HEX",
  PRONTO = "PRONTO",
}

export enum IrLearningEventType {
  START = "START",
  STOP = "STOP",
  CODE = "CODE",
}

export enum DeviceType {
  audio = "audio",
  radio = "radio",
  cd_player = "cd_player",
  receiver = "receiver",
  soundbar = "soundbar",
  hdmi_switch = "hdmi_switch",
  television = "television",
  projector = "projector",
  set_top_box = "set_top_box",
  media_player = "media_player",
  dvd_player = "dvd_player",
  bluray_player = "bluray_player",
  climate = "climate",
  light = "light",
  various = "various",
}

export enum DockState {
  IDLE = "IDLE",
  CONNECTING = "CONNECTING",
  ACTIVE = "ACTIVE",
  RECONNECTING = "RECONNECTING",
  ERROR = "ERROR",
}

export enum DockDiscoveryType {
  BT = "BT",
  NET = "NET",
}

export enum DockSetupState {
  NEW = "NEW",
  CONFIGURING = "CONFIGURING",
  UPLOADING = "UPLOADING",
  RESTARTING = "RESTARTING",
  OK = "OK",
  ERROR = "ERROR",
}

export enum DockSetupError {
  NONE = "NONE",
  NOT_FOUND = "NOT_FOUND",
  CONNECTION_REFUSED = "CONNECTION_REFUSED",
  AUTHORIZATION_ERROR = "AUTHORIZATION_ERROR",
  TIMEOUT = "TIMEOUT",
  OTHER = "OTHER",
}

export enum DockCommandType {
  SET_LED_BRIGHTNESS = "SET_LED_BRIGHTNESS",
  IDENTIFY = "IDENTIFY",
  REMOTE_LOW_BATTERY = "REMOTE_LOW_BATTERY",
  REMOTE_CHARGED = "REMOTE_CHARGED",
  REBOOT = "REBOOT",
  RESET = "RESET",
}

export enum DockUpdateProgressState {
  IDLE = "IDLE",
  IN_PROGRESS = "IN_PROGRESS",
  SUCCESS = "SUCCESS",
  ERROR = "ERROR",
}

export enum DockUpdateProgressEventType {
  START = "START",
  UPDATE = "UPDATE",
}

export enum DockUpdateProgressEventState {
  NEW = "NEW",
  UPLOADING = "UPLOADING",
  OK = "OK",
  ERROR = "ERROR",
}

export enum DockSetupScreen {
  START = "START",
  DISCOVERY = "DISCOVERY",

  ADD_MANUALLY = "ADD_MANUALLY",
  ADD_DISCOVERED_NET = "ADD_DISCOVERED_NET",
  ADD_DISCOVERED_BT = "ADD_DISCOVERED_BT",

  RESULT_SUCCESS = "RESULT_SUCCESS",
  RESULT_ERROR = "RESULT_ERROR",
}

export enum DockDiscoveryChangeEventType {
  START = "START",
  DISCOVERY = "DISCOVER",
  STOP = "STOP",
}

export enum IntegraionSetupScreen {
  START = "START",
  DISCOVERY = "DISCOVERY",
  CONNECT_EXTERNAL = "CONNECT_EXTERNAL",
  SETUP = "SETUP",
  ADD_ELEMENTS = "ADD_ELEMENTS",

  RESULT_SUCCESS = "RESULT_SUCCESS",
  RESULT_ERROR = "RESULT_ERROR",
}

export enum IntegrationDiscoveryChangeEventType {
  START = "START",
  DISCOVERY = "DISCOVER",
  STOP = "STOP",
}

export enum IntegrationSetupState {
  SETUP = "SETUP",
  WAIT_USER_ACTION = "WAIT_USER_ACTION",
  OK = "OK",
  ERROR = "ERROR",
}

export enum IntegrationSetupError {
  NONE = "NONE",
  NOT_FOUND = "NOT_FOUND",
  CONNECTION_REFUSED = "CONNECTION_REFUSED",
  AUTHORIZATION_ERROR = "AUTHORIZATION_ERROR",
  TIMEOUT = "TIMEOUT",
  OTHER = "OTHER",
}

export enum SeverityLevel {
  EMERG = 0,
  ALERT = 1,
  CRIT = 2,
  ERR = 3,
  WARNING = 4,
  NOTICE = 5,
  INFO = 6,
  DEBUG = 7,
}