import type { FlashMessageType } from "@/types/enums";

export interface FlashMessageBase {
  id?: string;
  timeout?: number;
  closeable?: boolean;
  onClose?: () => void;
}

export interface FlashMessageString extends FlashMessageBase {
  message: string;
}

export interface FlashMessageTranslate extends FlashMessageBase {
  translate: string;
  args?: Record<string, any>;
}

export type FlashMessageData = FlashMessageString | FlashMessageTranslate;

export type FlashMessageItem = FlashMessageData & {
  type: FlashMessageType;
};
