import type { EntityType } from "@/types/enums";
import type { CommandSequence } from "@/types/command";
import type { IconIdentifier, LanguageText } from "@/types/config";
import type { IncludedEntity } from "@/types/activity";

export type MacroNewData = {
  name: LanguageText;
  icon?: string;
  description?: LanguageText;  
  options?: {
    entity_ids?: string[];
  };
};

export type Macro = {
  entity_id: string;
  entity_type: EntityType.macro;
  integration_id: string;
  device_class?: string;
  name: LanguageText;
  description?: LanguageText;
  icon?: string;
  features?: ["start"];
  options: {
    editable?: boolean;
    sequence?: CommandSequence[];
    included_entities?: IncludedEntity[];
  };
};

export type MacroUpdate = {
  name?: LanguageText;
  description?: LanguageText;
  icon?: IconIdentifier;
  options: {
    entity_ids?: string[];
    sequence?: CommandSequence[];
  };
};
